CREATE TABLE CAT_TB_CATALOGUE (
		CAT_ID DECIMAL(22 , 0) NOT NULL,
		CAT_CRE_DT TIMESTAMP NOT NULL,
		CAT_CRE_ID VARCHAR(50) NOT NULL,
		CAT_MOD_DT TIMESTAMP NOT NULL,
		CAT_MOD_ID VARCHAR(50) NOT NULL,
		CAT_CATALOGUE_ID VARCHAR(1024),
		CAT_UUID VARCHAR(1024),
		CAT_NAME VARCHAR(1024),
		CAT_ISSUE_DATE TIMESTAMP,
		CAT_REVISION_DATE TIMESTAMP,
		CAT_LIFECYCLE_CD VARCHAR(50),
		CAT_NOTE DECIMAL(22 , 0),
		CAT_DESCRIPTION DECIMAL(22 , 0)
	);

CREATE TABLE CAT_TB_PARTY (
		PAR_ID DECIMAL(22 , 0) NOT NULL,
		PAR_CRE_DT TIMESTAMP NOT NULL,
		PAR_CRE_ID VARCHAR(50) NOT NULL,
		PAR_MOD_DT TIMESTAMP NOT NULL,
		PAR_MOD_ID VARCHAR(50) NOT NULL,
		PAR_NAME VARCHAR(1024),
		PAR_REG_NAME VARCHAR(1024),
		PAR_REG_ADDRESS DECIMAL(22 , 0),
		PAR_ENDPOINT_ID VARCHAR(1024),
		PAR_INT_ENDPOINT_ID VARCHAR(1024),
		PAR_CUSTOMER_ASS_ACC_ID VARCHAR(1024),
		PAR_DATA_SEND_CAPAB DECIMAL(22 , 0),
		PAR_VAT_COMPANY_ID VARCHAR(1024),
		PAR_ADD_ID DECIMAL(22 , 0),
		PAR_TXC_CODE VARCHAR(256),
		PAR_WEBSITE_URI VARCHAR(1024),
		PAR_LEG_ENT_REG_NAME VARCHAR(1024),
		PAR_LEG_ENT_REG_ADDRESS DECIMAL(22 , 0),
		PAR_LEG_ENT_COMPANY_ID VARCHAR(1024)
	);

CREATE TABLE CAT_TB_CATALOGUE_VERSION (
		VER_ID DECIMAL(22 , 0) NOT NULL,
		VER_CRE_DT TIMESTAMP NOT NULL,
		VER_CRE_ID VARCHAR(50) NOT NULL,
		VER_MOD_DT TIMESTAMP NOT NULL,
		VER_MOD_ID VARCHAR(50) NOT NULL,
		VER_VERSION_ID VARCHAR(10),
		VER_VALIDITY_START_DATE TIMESTAMP,
		VER_VALIDITY_END_DATE TIMESTAMP(6),
		VER_ISSUE_DATE TIMESTAMP,
		VER_DESCRIPTION DECIMAL(22 , 0),
		VER_CAT_ID DECIMAL(22 , 0) NOT NULL,
		VER_NEXT_VERSION DECIMAL(22 , 0),
		VER_STATUS VARCHAR(5),
		VER_RECEIVED_DATE TIMESTAMP
	);

CREATE TABLE CAT_TB_CONTRACT_VERSION (
		CVR_CRE_DT TIMESTAMP,
		CVR_CRE_ID VARCHAR(50),
		CVR_MOD_DT TIMESTAMP,
		CVR_MOD_ID VARCHAR(50),
		CVR_VER_ID DECIMAL(22 , 0) NOT NULL,
		CVR_CON_ID DECIMAL(22 , 0) NOT NULL
	);

CREATE TABLE CAT_TB_DOCUMENT_REFERENCE (
		DCR_ID DECIMAL(22 , 0) NOT NULL,
		DCR_CRE_DT TIMESTAMP NOT NULL,
		DCR_CRE_ID VARCHAR(50) NOT NULL,
		DCR_MOD_DT TIMESTAMP NOT NULL,
		DCR_MOD_ID VARCHAR(50) NOT NULL,
		DCR_ISSUE_DATE TIMESTAMP,
		DCR_DTC_CODE VARCHAR(256) NOT NULL,
		DCR_ITEM_ID DECIMAL(22 , 0),
		DCR_CON_ID DECIMAL(22 , 0)
	);

CREATE TABLE CAT_TB_DOCUMENT_TYPE_CODE (
		DTC_CODE VARCHAR(256) NOT NULL,
		DTC_CRE_DT TIMESTAMP NOT NULL,
		DTC_CRE_ID VARCHAR(50) NOT NULL,
		DTC_MOD_DT TIMESTAMP NOT NULL,
		DTC_MOD_ID VARCHAR(50) NOT NULL,
		DTC_VERSION VARCHAR(10),
		DTC_DESCRIPTION DECIMAL(22 , 0)
	);

CREATE TABLE CAT_TB_BINARY_INFORMATION (
		BIN_ID DECIMAL(22 , 0) NOT NULL,
		BIN_CRE_DT TIMESTAMP NOT NULL,
		BIN_CRE_ID VARCHAR(50) NOT NULL,
		BIN_MOD_DT TIMESTAMP NOT NULL,
		BIN_MOD_ID VARCHAR(50) NOT NULL,
		BIN_CONTENT LONGVARBINARY,
		BIN_DESCRIPTION DECIMAL(22 , 0),
		BIN_MIME_TYPE VARCHAR(50),
		BIN_URI VARCHAR(1024),
		BIN_EXPIRY_DATE TIMESTAMP,
		BIN_DCR_ID DECIMAL(22 , 0) NOT NULL
	);

CREATE TABLE CAT_TB_ITM_PROP_GRP (
		IPG_ID VARCHAR(256) NOT NULL,
		IPG_CRE_DT TIMESTAMP NOT NULL,
		IPG_CRE_ID VARCHAR(50) NOT NULL,
		IPG_MOD_DT TIMESTAMP NOT NULL,
		IPG_MOD_ID VARCHAR(50) NOT NULL,
		IPG_NAME VARCHAR(1024),
		IPG_SCH_CODE VARCHAR(256) NOT NULL
	);

CREATE TABLE CAT_TB_SCHEME_CODE (
		SCH_CODE VARCHAR(256) NOT NULL,
		SCH_CRE_DT TIMESTAMP NOT NULL,
		SCH_CRE_ID VARCHAR(50) NOT NULL,
		SCH_MOD_DT TIMESTAMP NOT NULL,
		SCH_MOD_ID VARCHAR(50) NOT NULL,
		SCH_VERSION VARCHAR(10),
		SCH_DESCRIPTION VARCHAR(4000)
	);

CREATE TABLE CAT_TB_ADD_ITM_PRP (
		AIP_ID DECIMAL(22 , 0) NOT NULL,
		AIP_CRE_DT TIMESTAMP NOT NULL,
		AIP_CRE_ID VARCHAR(50) NOT NULL,
		AIP_MOD_DT TIMESTAMP NOT NULL,
		AIP_MOD_ID VARCHAR(50) NOT NULL,
		AIP_NAME VARCHAR(1024),
		AIP_VALUE VARCHAR(4000),
		AIP_USABILITY_START_DATE TIMESTAMP,
		AIP_USABILITY_END_DATE TIMESTAMP,
		AIP_ITEM DECIMAL(22 , 0) NOT NULL
	);

CREATE TABLE CAT_TB_ADD_ITM_PRP_GRP (
		APR_IPG_ID VARCHAR(256) NOT NULL,
		APR_AIP_ID DECIMAL(22 , 0) NOT NULL,
		APR_CRE_DT TIMESTAMP NOT NULL,
		APR_CRE_ID VARCHAR(50) NOT NULL,
		APR_MOD_DT TIMESTAMP NOT NULL,
		APR_MOD_ID VARCHAR(50) NOT NULL
	);

CREATE TABLE CAT_TB_DELIVERY_UNIT (
		DEL_ID DECIMAL(22 , 0) NOT NULL,
		DEL_CRE_DT TIMESTAMP NOT NULL,
		DEL_CRE_ID VARCHAR(50) NOT NULL,
		DEL_MOD_DT TIMESTAMP NOT NULL,
		DEL_MOD_ID VARCHAR(50) NOT NULL,
		DEL_BATCH_QT DECIMAL(22 , 4),
		DEL_CONSUMER_UNIT_QT DECIMAL(22 , 4),
		DEL_HAZARDOUS_RISK_IND VARCHAR(1),
		DEL_BATCH_QT_UNIT_CD VARCHAR(256) NOT NULL,
		DEL_CONSUMER_QT_UNIT_CD VARCHAR(256) NOT NULL,
		DEL_REQ_ITEM_LOC_QT DECIMAL(22 , 0) NOT NULL
	);

CREATE TABLE CAT_TB_UNIT_MEASURE_CODE (
		UMC_CODE VARCHAR(256) NOT NULL,
		UMC_CRE_DT TIMESTAMP NOT NULL,
		UMC_CRE_ID VARCHAR(50) NOT NULL,
		UMC_MOD_DT TIMESTAMP NOT NULL,
		UMC_MOD_ID VARCHAR(50) NOT NULL,
		UMC_VERSION VARCHAR(10),
		UMC_DESCRIPTION DECIMAL(22 , 0)
	);

CREATE TABLE CAT_TB_ALLOWANCE_CHARGE (
		ALL_ID DECIMAL(22 , 0) NOT NULL,
		ALL_CRE_DT TIMESTAMP NOT NULL,
		ALL_CRE_ID VARCHAR(50) NOT NULL,
		ALL_MOD_DT TIMESTAMP NOT NULL,
		ALL_MOD_ID VARCHAR(50) NOT NULL,
		ALL_CHARGE_INDICATOR VARCHAR(1) DEFAULT 'Y',
		ALL_REASON_CD VARCHAR(50),
		ALL_REASON DECIMAL(22 , 0),
		ALL_MULTIPLIER_FACTOR_NUMERIC DECIMAL(10 , 2),
		ALL_PREPAID_INDICATOR VARCHAR(1),
		ALL_SEQUENCE_NUMERIC DECIMAL(22 , 4),
		ALL_AMOUNT DECIMAL(22 , 4),
		ALL_CUR_CODE VARCHAR(256)
	);

CREATE TABLE CAT_TB_CURRENCY_CODE (
		CUR_CODE VARCHAR(256) NOT NULL,
		CUR_CRE_DT TIMESTAMP NOT NULL,
		CUR_CRE_ID VARCHAR(50) NOT NULL,
		CUR_MOD_DT TIMESTAMP NOT NULL,
		CUR_MOD_ID VARCHAR(50) NOT NULL,
		CUR_VERSION VARCHAR(10),
		CUR_DESCRIPTION DECIMAL(22 , 0)
	);

CREATE TABLE CAT_TB_CLASSIFIED_TAX_CATEGORY (
		CTC_ID DECIMAL(22 , 0) NOT NULL,
		CTC_CRE_DT TIMESTAMP NOT NULL,
		CTC_CRE_ID VARCHAR(50) NOT NULL,
		CTC_MOD_DT TIMESTAMP NOT NULL,
		CTC_MOD_ID VARCHAR(50) NOT NULL,
		CTC_NAME VARCHAR(1024),
		CTC_PERCENT DECIMAL(22 , 6),
		CTC_TAX_EXEMPTION_REASON_CD VARCHAR(50),
		CTC_TAX_EXEMPTION_REASON DECIMAL(22 , 0),
		CTC_BASE_UNIT_MEAS_UNIT_MEAS VARCHAR(256),
		CTC_PER_UNIT_AMT_UNIT_MEAS VARCHAR(256),
		CTC_CUR_CODE VARCHAR(256),
		CTC_ALL_ID DECIMAL(22 , 0),
		CTC_ITEM DECIMAL(22 , 0),
		CTC_TXT_CODE VARCHAR(256),
		CTC_TXC_CODE VARCHAR(256),
		CTC_PAR_ID DECIMAL(22 , 0)
	);

CREATE TABLE CAT_TB_ADDRESS (
		ADD_ID DECIMAL(22 , 0) NOT NULL,
		ADD_CRE_DT TIMESTAMP NOT NULL,
		ADD_CRE_ID VARCHAR(50) NOT NULL,
		ADD_MOD_DT TIMESTAMP NOT NULL,
		ADD_MOD_ID VARCHAR(50) NOT NULL,
		ADD_TYPE_CD VARCHAR(50),
		ADD_FORMAT_CD VARCHAR(50),
		ADD_POST_BOX VARCHAR(256),
		ADD_FLOOR VARCHAR(256),
		ADD_STREET_NAME VARCHAR(1024),
		ADD_ADDITIONAL_STREET_NAME VARCHAR(1024),
		ADD_BLOCK_NAME VARCHAR(1024),
		ADD_BUILDING_NAME VARCHAR(1024),
		ADD_BUILDING_NUMBER VARCHAR(256),
		ADD_INHOUSE_MAIL VARCHAR(1024),
		ADD_DEPARTMENT VARCHAR(1024),
		ADD_MARK_ATTENTION VARCHAR(1024),
		ADD_MARK_CARE VARCHAR(1024),
		ADD_PLOT_IDENTIFICATION VARCHAR(1024),
		ADD_CITY_SUBDIVISION_NAME VARCHAR(1024),
		ADD_CITY_NAME VARCHAR(1024),
		ADD_COUNTRY_SUBENTITY VARCHAR(1024),
		ADD_COUNTRY_SUBENTITY_CD VARCHAR(50),
		ADD_REGION VARCHAR(1024),
		ADD_DISTRICT VARCHAR(1024),
		ADD_TIMEZONE_OFFSET VARCHAR(255),
		ADD_COUNTRY_CODE VARCHAR(256),
		ADD_POSTAL_CODE VARCHAR(256)
	);

CREATE TABLE CAT_TB_COUNTRY_CODE (
		CCD_CODE VARCHAR(256) NOT NULL,
		CCD_CRE_DT TIMESTAMP NOT NULL,
		CCD_CRE_ID VARCHAR(50) NOT NULL,
		CCD_MOD_DT TIMESTAMP NOT NULL,
		CCD_MOD_ID VARCHAR(50) NOT NULL,
		CCD_VERSION VARCHAR(10),
		CCD_DESCRIPTION DECIMAL(22 , 0)
	);

CREATE TABLE CAT_TB_RELATIONSHIP_TYPE_CODE (
		RTC_CODE VARCHAR(256) NOT NULL,
		RTC_CRE_DT TIMESTAMP NOT NULL,
		RTC_CRE_ID VARCHAR(50) NOT NULL,
		RTC_MOD_DT TIMESTAMP NOT NULL,
		RTC_MOD_ID VARCHAR(50) NOT NULL,
		RTC_VERSION VARCHAR(10),
		RTC_DESCRIPTION DECIMAL(22 , 0)
	);

CREATE TABLE CAT_TB_ITM_ID_TYPE_CODE (
		ITC_CODE VARCHAR(256) NOT NULL,
		ITC_CRE_DT TIMESTAMP NOT NULL,
		ITC_CRE_ID VARCHAR(50) NOT NULL,
		ITC_MOD_DT TIMESTAMP NOT NULL,
		ITC_MOD_ID VARCHAR(50) NOT NULL,
		ITC_VERSION VARCHAR(10),
		ITC_DESCRIPTION DECIMAL(22 , 0)
	);

CREATE TABLE CAT_TB_ITM_REL (
		ITR_ID DECIMAL(22 , 0) NOT NULL,
		ITR_CRE_DT TIMESTAMP NOT NULL,
		ITR_CRE_ID VARCHAR(50) NOT NULL,
		ITR_MOD_DT TIMESTAMP NOT NULL,
		ITR_MOD_ID VARCHAR(50) NOT NULL,
		ITR_DESCRIPTION DECIMAL(22 , 0),
		ITR_QUANTITY DECIMAL(10 , 4),
		ITR_QT_UNIT_MEAS VARCHAR(256),
		ITR_ITEM DECIMAL(22 , 0),
		ITR_RELATED_ITEM DECIMAL(22 , 0),
		ITR_REL_TYPE_CODE VARCHAR(256)
	);

CREATE TABLE CAT_TB_ITM_ID (
		IID_ID DECIMAL(22 , 0) NOT NULL,
		IID_CRE_DT TIMESTAMP NOT NULL,
		IID_CRE_ID VARCHAR(50) NOT NULL,
		IID_MOD_DT TIMESTAMP NOT NULL,
		IID_MOD_ID VARCHAR(50) NOT NULL,
		IID_IDENTIFICATION_ID VARCHAR(1024),
		IID_EXTENDED_ID_INDICATOR VARCHAR(1024),
		IID_IDENTIFICATION_TYPE_CD VARCHAR(256) NOT NULL
	);

CREATE TABLE CAT_TB_ITM_CLASS (
		ICL_CODE VARCHAR(50) NOT NULL,
		ICL_SCHEME_CODE VARCHAR(256) NOT NULL,
		ICL_CRE_DT TIMESTAMP NOT NULL,
		ICL_CRE_ID VARCHAR(50) NOT NULL,
		ICL_MOD_DT TIMESTAMP NOT NULL,
		ICL_MOD_ID VARCHAR(50) NOT NULL,
		ICL_PARENT_CODE VARCHAR(50),
		ICL_PARENT_SCHEME_CODE VARCHAR(256),
		ICL_ORD_INDICATOR VARCHAR(5)
	);

CREATE TABLE CAT_TB_MEASUREMENT_DIMENSION (
		MDS_ID DECIMAL(22 , 0) NOT NULL,
		MDS_CRE_DT TIMESTAMP NOT NULL,
		MDS_CRE_ID VARCHAR(50) NOT NULL,
		MDS_MOD_DT TIMESTAMP NOT NULL,
		MDS_MOD_ID VARCHAR(50) NOT NULL,
		MDS_NAME VARCHAR(1024),
		MDS_MINIMUN_MEASURE DECIMAL(10 , 2),
		MDS_MAXIMUM_MEASURE DECIMAL(10 , 2),
		MDS_DESCRIPTION DECIMAL(22 , 0),
		MDS_MAX_UNIT_MEASURE VARCHAR(256) NOT NULL,
		MDS_MIN_UNIT_MEASURE VARCHAR(256) NOT NULL
	);

CREATE TABLE CAT_TB_PHYSICAL_ATTRIBUTE (
		ATR_ID DECIMAL(22 , 0) NOT NULL,
		ATR_CRE_DT TIMESTAMP NOT NULL,
		ATR_CRE_ID VARCHAR(50) NOT NULL,
		ATR_MOD_DT TIMESTAMP NOT NULL,
		ATR_MOD_ID VARCHAR(50) NOT NULL,
		ATR_POSITION_CODE VARCHAR(50),
		ATR_DESCRIPTION DECIMAL(22 , 0),
		ATR_DESCRIPTION_CODE VARCHAR(50),
		ATR_ITM_ID DECIMAL(22 , 0) NOT NULL,
		ATR_ATTRIBUTE_ID VARCHAR(1024)
	);

CREATE TABLE CAT_TB_ITEM (
		ITM_ID DECIMAL(22 , 0) NOT NULL,
		ITM_CRE_DT TIMESTAMP NOT NULL,
		ITM_CRE_ID VARCHAR(50) NOT NULL,
		ITM_MOD_DT TIMESTAMP NOT NULL,
		ITM_MOD_ID VARCHAR(50) NOT NULL,
		ITM_CATALOGUE_LINE_ID VARCHAR(1024),
		ITM_LIFE_CYCLE_STATUS_CD VARCHAR(50),
		ITM_CONTRACT_SUBDIVISION DECIMAL(22 , 0),
		ITM_NOTE DECIMAL(22 , 0),
		ITM_ORDARABLE_INDICATOR VARCHAR(1) DEFAULT 'Y',
		ITM_ORDARABLE_UNIT DECIMAL(22 , 0),
		ITM_CONTENT_UNIT_QT DECIMAL(22 , 4),
		ITM_ORDER_QT_INCREMENT_NUMERIC INT,
		ITM_MINIMUM_ORDER_QT DECIMAL(22 , 4),
		ITM_MAXIMUM_ORDER_QT DECIMAL(22 , 4),
		ITM_WARRANTY_INFO DECIMAL(22 , 0),
		ITM_PACK_LEVEL_CD VARCHAR(50),
		ITM_WARRANTY_VAL_START_DATE TIMESTAMP,
		ITM_WARRANTY_VAL_END_DATE TIMESTAMP,
		ITM_WARRANTY_VAL_DESCRIPTION VARCHAR(4000),
		ITM_LINE_VAL_START_DATE TIMESTAMP,
		ITM_LINE_VAL_END_DATE TIMESTAMP,
		ITM_LINE_VAL_DESCRIPTION DECIMAL(22 , 0),
		ITM_DESCRIPTION DECIMAL(22 , 0),
		ITM_CATALOGUE_INDICATOR VARCHAR(1) DEFAULT 'Y',
		ITM_NAME VARCHAR(4000),
		ITM_HAZARDOUS_RISK_INDICATOR VARCHAR(1) DEFAULT 'N',
		ITM_ADDITIONAL_INFO DECIMAL(22 , 0),
		ITM_ORIGIN_COUNTRY_CD VARCHAR(5),
		ITM_COUNTRY_CODE VARCHAR(256),
		ITM_PACK_QT_UT_MEAS VARCHAR(256),
		ITM_PACK_QT DECIMAL(22 , 4),
		ITM_PACK_SIZE_NUMERIC INT,
		ITM_MAX_ORD_QT_UT_MEAS VARCHAR(256),
		ITM_CONT_UT_QT_UT_MEAS VARCHAR(256),
		ITM_MIN_ORD_QT_UT_MEAS VARCHAR(256),
		ITM_NEXT_VERSION DECIMAL(22 , 0),
		ITM_DELETED_FLAG VARCHAR(1) DEFAULT 'N' NOT NULL
	);

CREATE TABLE CAT_TB_BRAND_MODEL (
		MOD_ID DECIMAL(22 , 0) NOT NULL,
		MOD_CRE_DT TIMESTAMP NOT NULL,
		MOD_CRE_ID VARCHAR(50) NOT NULL,
		MOD_MOD_DT TIMESTAMP NOT NULL,
		MOD_MOD_ID VARCHAR(50) NOT NULL,
		MOD_BRAND_NAME VARCHAR(1024),
		MOD_MODEL_NAME VARCHAR(1024),
		MOD_ITM_ID DECIMAL(22 , 0) NOT NULL
	);

CREATE TABLE CAT_TB_KEYWORD (
		KEY_ID DECIMAL(22 , 0) NOT NULL,
		KEY_CRE_DT TIMESTAMP NOT NULL,
		KEY_CRE_ID VARCHAR(50) NOT NULL,
		KEY_MOD_DT TIMESTAMP NOT NULL,
		KEY_MOD_ID VARCHAR(50) NOT NULL,
		KEY_KEYWORD VARCHAR(512)
	);

CREATE TABLE CAT_TB_KEYWORD_ITEM (
		TKI_KIT_KEY_ID DECIMAL(22 , 0) NOT NULL,
		TKI_ITM_ID DECIMAL(22 , 0) NOT NULL,
		TKI_CRE_DT TIMESTAMP NOT NULL,
		TKI_CRE_ID VARCHAR(50) NOT NULL,
		TKI_MOD_DT TIMESTAMP NOT NULL,
		TKI_MOD_ID VARCHAR(50) NOT NULL
	);

CREATE TABLE CAT_TB_ITM_ITM_IDENT (
		III_IID_ID DECIMAL(22 , 0) NOT NULL,
		III_ITM_ID DECIMAL(22 , 0) NOT NULL,
		III_CRE_DT TIMESTAMP NOT NULL,
		III_CRE_ID VARCHAR(50) NOT NULL,
		III_MOD_DT TIMESTAMP NOT NULL,
		III_MOD_ID VARCHAR(50) NOT NULL
	);

CREATE TABLE CAT_TB_ITM_ITM_CLASS (
		IIL_ICL_CODE VARCHAR(50) NOT NULL,
		IIL_ITM_ID DECIMAL(22 , 0) NOT NULL,
		IIL_CRE_DT TIMESTAMP NOT NULL,
		IIL_CRE_ID VARCHAR(50) NOT NULL,
		IIL_MOD_DT TIMESTAMP NOT NULL,
		IIL_MOD_ID VARCHAR(50) NOT NULL,
		IIL_ICL_SCHEME_CODE VARCHAR(256) NOT NULL
	);

CREATE TABLE CAT_TB_REQ_ITEM_LOCATION_QT (
		RIL_ID DECIMAL(22 , 0) NOT NULL,
		RIL_CRE_DT TIMESTAMP NOT NULL,
		RIL_CRE_ID VARCHAR(50) NOT NULL,
		RIL_MOD_DT TIMESTAMP NOT NULL,
		RIL_MOD_ID VARCHAR(50) NOT NULL,
		RIL_LEAD_TIME_MEASURE DECIMAL(10 , 2),
		RIL_MIN_QT DECIMAL(22 , 4),
		RIL_MAX_QT DECIMAL(22 , 4),
		RIL_HAZARDOUS_RISK_IND VARCHAR(1) DEFAULT 'N',
		RIL_PRICE_AMOUNT DECIMAL(22 , 4),
		RIL_BASE_QT DECIMAL(22 , 4),
		RIL_PRICE_TYPE_CODE VARCHAR(50),
		RIL_PRICE_TYPE VARCHAR(1024),
		RIL_ORD_UNIT_FACTOR_RATE DECIMAL(22 , 4),
		RIL_PRICE_VAL_START_DATE TIMESTAMP,
		RIL_PRICE_VAL_END_DATE TIMESTAMP,
		RIL_PRICE_VAL_DESCRIPTION DECIMAL(22 , 0),
		RIL_BASE_QT_UNIT_CD VARCHAR(256),
		RIL_CURRENCY_CD VARCHAR(256),
		RIL_MIN_QT_UNIT_CD VARCHAR(256),
		RIL_LEAD_TIME_MEAS_UNIT_CD VARCHAR(256),
		RIL_MAX_QT_UNIT_CD VARCHAR(256),
		RIL_ITEM DECIMAL(22 , 0) NOT NULL
	);

CREATE TABLE CAT_TB_ITM_MEAS_DIM (
		IME_ITM_ID DECIMAL(22 , 0) NOT NULL,
		IME_MDS_ID DECIMAL(22 , 0) NOT NULL,
		IME_CRE_DT TIMESTAMP NOT NULL,
		IME_CRE_ID VARCHAR(50) NOT NULL,
		IME_MOD_DT TIMESTAMP NOT NULL,
		IME_MOD_ID VARCHAR(50) NOT NULL
	);

CREATE TABLE CAT_TB_ITM_PARTY (
		ITM_ID DECIMAL(22 , 0) NOT NULL,
		PAR_ID DECIMAL(22 , 0) NOT NULL,
		IPA_CRE_DT TIMESTAMP NOT NULL,
		IPA_CRE_ID VARCHAR(50) NOT NULL,
		IPA_MOD_DT TIMESTAMP NOT NULL,
		IPA_MOD_ID VARCHAR(50) NOT NULL
	);

CREATE TABLE CAT_TB_ITM_COMP (
		ICP_ID VARCHAR(5) NOT NULL,
		ICP_CRE_DT TIMESTAMP NOT NULL,
		ICP_CRE_ID VARCHAR(50) NOT NULL,
		ICP_MOD_DT TIMESTAMP NOT NULL,
		ICP_MOD_ID VARCHAR(50) NOT NULL,
		ICP_PRICE_AMOUNT DECIMAL(12 , 4),
		ICP_QUANTITY DECIMAL(12 , 4),
		ICP_QT_UT_MEAS VARCHAR(256),
		ICP_CURR_CODE VARCHAR(256)
	);

CREATE TABLE CAT_TB_HAZARDOUS_ITEM (
		HAZ_ID DECIMAL(22 , 0) NOT NULL,
		HAZ_CRE_DT TIMESTAMP NOT NULL,
		HAZ_CRE_ID VARCHAR(50) NOT NULL,
		HAZ_MOD_DT TIMESTAMP NOT NULL,
		HAZ_MOD_ID VARCHAR(50) NOT NULL,
		HAZ_UUDG_CD VARCHAR(50),
		HAZ_HAZARD_CLASS_ID VARCHAR(1024),
		HAZ_ITM_ID DECIMAL(22 , 0) NOT NULL
	);

CREATE TABLE CAT_TB_PARTY_TYPE_CODE (
		PTC_CODE VARCHAR(256) NOT NULL,
		PTC_CRE_DT TIMESTAMP NOT NULL,
		PTC_CRE_ID VARCHAR(50) NOT NULL,
		PTC_MOD_DT TIMESTAMP NOT NULL,
		PTC_MOD_ID VARCHAR(50) NOT NULL,
		PTC_VERSION VARCHAR(10),
		PTC_DESCRIPTION DECIMAL(22 , 0)
	);

CREATE TABLE CAT_TB_CONTACT (
		COA_ID DECIMAL(22 , 0) NOT NULL,
		COA_CRE_DT TIMESTAMP NOT NULL,
		COA_CRE_ID VARCHAR(50) NOT NULL,
		COA_MOD_DT TIMESTAMP NOT NULL,
		COA_MOD_ID VARCHAR(50) NOT NULL,
		COA_NAME VARCHAR(1024),
		COA_TELEPHONE VARCHAR(256),
		COA_TELEFAX VARCHAR(256),
		COA_EMAIL VARCHAR(256),
		COA_CONTACT_TYPE VARCHAR(256) NOT NULL
	);

CREATE TABLE CAT_TB_CONTACT_TYPE (
		CNT_CODE VARCHAR(256) NOT NULL,
		CNT_CRE_DT TIMESTAMP,
		CNT_CRE_ID VARCHAR(50),
		CNT_MOD_DT TIMESTAMP,
		CNT_MOD_ID VARCHAR(50),
		CNT_VERSION VARCHAR(10),
		CNT_DESCRIPTION DECIMAL(22 , 0)
	);

CREATE TABLE CAT_TB_PARTY_CONTACT (
		PCA_PAR_ID DECIMAL(22 , 0) NOT NULL,
		PCA_COA_ID DECIMAL(22 , 0) NOT NULL,
		PCA_CRE_DT TIMESTAMP NOT NULL,
		PCA_CRE_ID VARCHAR(50) NOT NULL,
		PCA_MOD_DT TIMESTAMP NOT NULL,
		PCA_MOD_ID VARCHAR(50) NOT NULL
	);

CREATE TABLE CAT_TB_ITM_ITM_COMP (
		CPI_ITM_ID DECIMAL(22 , 0) NOT NULL,
		CPI_ICP_ID VARCHAR(5) NOT NULL,
		CPI_CRE_DT TIMESTAMP,
		CPI_CRE_ID VARCHAR(50),
		CPI_MOD_DT TIMESTAMP,
		CPI_MOD_ID VARCHAR(50)
	);

CREATE TABLE CAT_TB_ITM_CLASS_DESC (
		ICD_ID DECIMAL(22 , 0) NOT NULL,
		ICD_CRE_DT TIMESTAMP,
		ICD_CRE_ID VARCHAR(50),
		ICD_MOD_DT TIMESTAMP,
		ICD_MOD_ID VARCHAR(50),
		ICD_ICL_CODE VARCHAR(50) NOT NULL,
		ICD_DESCRIPTION DECIMAL(22 , 0) NOT NULL,
		ICD_ICL_SCHEME_CODE VARCHAR(256)
	);

CREATE TABLE CAT_TB_ITM_ADDRESS (
		IES_ITM_ID DECIMAL(22 , 0) NOT NULL,
		IES_ADD_ID DECIMAL(22 , 0) NOT NULL,
		IES_CRE_DT TIMESTAMP NOT NULL,
		IES_CRE_ID VARCHAR(50) NOT NULL,
		IES_MOD_DT TIMESTAMP NOT NULL,
		IES_MOD_ID VARCHAR(50) NOT NULL
	);

CREATE TABLE CAT_TB_APPLICABLE_TERR_ADDR (
		ATA_RIL_ID DECIMAL(22 , 0) NOT NULL,
		ATA_ADD_ID DECIMAL(22 , 0) NOT NULL,
		ATA_CRE_DT TIMESTAMP NOT NULL,
		ATA_CRE_ID VARCHAR(50) NOT NULL,
		ATA_MOD_DT TIMESTAMP NOT NULL,
		ATA_MOD_ID VARCHAR(50) NOT NULL
	);

CREATE TABLE CAT_TB_JURISDICTION_ADDR (
		JAD_ADD_ID DECIMAL(22 , 0) NOT NULL,
		JAD_CTC_ID DECIMAL(22 , 0) NOT NULL,
		JAD_CRE_DT TIMESTAMP NOT NULL,
		JAD_CRE_ID VARCHAR(50) NOT NULL,
		JAD_MOD_DT TIMESTAMP NOT NULL,
		JAD_MOD_ID VARCHAR(50) NOT NULL
	);

CREATE TABLE CAT_REQ_ITM_LOC_QT_ALLOWANCE (
		RLQ_RIL_ID DECIMAL(22 , 0) NOT NULL,
		RLQ_ALL_ID DECIMAL(22 , 0) NOT NULL,
		RLQ_CRE_DT TIMESTAMP NOT NULL,
		RLQ_CRE_ID VARCHAR(50) NOT NULL,
		RLQ_MOD_DT TIMESTAMP NOT NULL,
		RLQ_MOD_ID VARCHAR(50) NOT NULL
	);

CREATE TABLE CAT_TB_CATALOGUE_PARTY (
		CAP_CAT_ID DECIMAL(22 , 0) NOT NULL,
		CAP_PAR_ID DECIMAL(22 , 0) NOT NULL,
		CAP_CRE_DT TIMESTAMP NOT NULL,
		CAP_CRE_ID VARCHAR(50) NOT NULL,
		CAP_MOD_DT TIMESTAMP NOT NULL,
		CAP_MOD_ID VARCHAR(50) NOT NULL,
		CAP_PTC_CODE VARCHAR(256) NOT NULL
	);

CREATE TABLE CAT_TB_PARTY_ITEM (
		PAI_ITM_ID DECIMAL(22 , 0) NOT NULL,
		PAI_PAR_ID DECIMAL(22 , 0) NOT NULL,
		PAI_PTC_CODE VARCHAR(256) NOT NULL,
		PAI_CRE_DT TIMESTAMP NOT NULL,
		PAI_CRE_ID VARCHAR(50) NOT NULL,
		PAI_MOD_DT TIMESTAMP NOT NULL,
		PAI_MOD_ID VARCHAR(50) NOT NULL
	);

CREATE TABLE CAT_TB_TAX_TYPE_CODE (
		TXC_CODE VARCHAR(256) NOT NULL,
		TXC_CRE_DT TIMESTAMP NOT NULL,
		TXC_CRE_ID VARCHAR(50) NOT NULL,
		TXC_MOD_DT TIMESTAMP NOT NULL,
		TXC_MOD_ID VARCHAR(50) NOT NULL,
		TXC_VERSION VARCHAR(10),
		TXC_DESCRIPTION DECIMAL(22 , 0)
	);

CREATE TABLE CAT_TB_TAX_SCHEME_TYPE_CODE (
		TXT_CODE VARCHAR(256) NOT NULL,
		TXT_CRE_DT TIMESTAMP NOT NULL,
		TXT_CRE_ID VARCHAR(50) NOT NULL,
		TXT_MOD_DT TIMESTAMP NOT NULL,
		TXT_MOD_ID VARCHAR(50) NOT NULL,
		TXT_VERSION VARCHAR(10),
		TXT_DESCRIPTION DECIMAL(22 , 0)
	);

CREATE TABLE CAT_PARTY_JURISDICTION_ADDRESS (
		PJA_PAR_ID DECIMAL(22 , 0) NOT NULL,
		PJA_ADD_ID DECIMAL(22 , 0) NOT NULL,
		PJA_CRE_DT TIMESTAMP NOT NULL,
		PJA_CRE_ID VARCHAR(50) NOT NULL,
		PJA_MOD_DT TIMESTAMP NOT NULL,
		PJA_MOD_ID VARCHAR(50) NOT NULL
	);

CREATE TABLE CAT_TB_TRANSLATION_ENTRY (
		TRE_TRN_ID DECIMAL(22 , 0) NOT NULL,
		TRE_LAN_CODE VARCHAR(5) NOT NULL,
		TRE_CRE_DT TIMESTAMP NOT NULL,
		TRE_CRE_ID VARCHAR(50) NOT NULL,
		TRE_MOD_DT TIMESTAMP NOT NULL,
		TRE_MOD_ID VARCHAR(50) NOT NULL,
		TRE_DESCRIPTION VARCHAR(4000)
	);

CREATE TABLE CAT_TB_TRANSLATIONS (
		TRN_ID DECIMAL(22 , 0) NOT NULL,
		TRN_CRE_DT TIMESTAMP NOT NULL,
		TRN_CRE_ID VARCHAR(50) NOT NULL,
		TRN_MOD_DT TIMESTAMP NOT NULL,
		TRN_MOD_ID VARCHAR(50) NOT NULL,
		TRN_DESCRIPTION VARCHAR(1024)
	);

CREATE TABLE CAT_TB_LANGUAGE_CODE (
		LAN_CODE VARCHAR(5) NOT NULL,
		LAN_CRE_DT TIMESTAMP NOT NULL,
		LAN_CRE_ID VARCHAR(50) NOT NULL,
		LAN_MOD_DT TIMESTAMP NOT NULL,
		LAN_MOD_ID VARCHAR(50) NOT NULL,
		LAN_DESCRIPTION VARCHAR(512)
	);

CREATE TABLE CAT_TB_CAT_VERSION_ITM (
		CVI_VER_ID DECIMAL(22 , 0) NOT NULL,
		CVI_ITM_ID DECIMAL(22 , 0) NOT NULL,
		CVI_CRE_DT TIMESTAMP NOT NULL,
		CVI_CRE_ID VARCHAR(50) NOT NULL,
		CVI_MOD_DT TIMESTAMP NOT NULL,
		CVI_MOD_ID VARCHAR(50) NOT NULL
	);

CREATE TABLE CAT_TB_CATALOGUE_WARNINGS (
		WAR_VER_ID DECIMAL(22 , 0) NOT NULL,
		WAR_CRE_DT TIMESTAMP NOT NULL,
		WAR_CRE_ID VARCHAR(50) NOT NULL,
		WAR_MOD_DT TIMESTAMP NOT NULL,
		WAR_MOD_ID VARCHAR(50) NOT NULL,
		WAR_WAD_CODE VARCHAR(128) NOT NULL,
		WAR_WAD_LANG VARCHAR(5) NOT NULL,
		WAR_WARNING_DESCRIPTION VARCHAR(1024),
		WAR_ID DECIMAL(22 , 0) NOT NULL
	);

CREATE TABLE CAT_TB_WARNING_TYPE (
		WAT_CODE VARCHAR(128) NOT NULL,
		WAT_CRE_DT TIMESTAMP NOT NULL,
		WAT_CRE_ID VARCHAR(50) NOT NULL,
		WAT_MOD_DT TIMESTAMP NOT NULL,
		WAT_MOD_ID VARCHAR(50) NOT NULL,
		WAT_LEVEL VARCHAR(10)
	);

CREATE TABLE CAT_TB_WARNING_DESC (
		WAD_WAT_CODE VARCHAR(128) NOT NULL,
		WAD_LANG VARCHAR(5) NOT NULL,
		WAD_CRE_DT TIMESTAMP NOT NULL,
		WAD_CRE_ID VARCHAR(50) NOT NULL,
		WAD_MOD_DT TIMESTAMP NOT NULL,
		WAD_MOD_ID VARCHAR(50) NOT NULL,
		WAD_DESCRIPTION VARCHAR(1024)
	);

CREATE TABLE CAT_TB_AVAILABLE_LANGUAGES (
		AVL_VER_ID DECIMAL(22 , 0) NOT NULL,
		AVL_LAN_CODE VARCHAR(5) NOT NULL,
		AVL_CRE_DT TIMESTAMP NOT NULL,
		AVL_CRE_ID VARCHAR(50) NOT NULL,
		AVL_MOD_DT TIMESTAMP NOT NULL,
		AVL_MOD_ID VARCHAR(50) NOT NULL
	);

CREATE TABLE CAT_TB_CONTRACT (
		CON_ID DECIMAL(22 , 0) NOT NULL,
		CON_CRE_DT TIMESTAMP NOT NULL,
		CON_CRE_ID VARCHAR(50) NOT NULL,
		CON_MOD_DT TIMESTAMP NOT NULL,
		CON_MOD_ID VARCHAR(50) NOT NULL,
		CON_CONTRACT_ID VARCHAR(2048) NOT NULL,
		CON_REQ_REVIEW VARCHAR(1) DEFAULT 'N' NOT NULL
	);

CREATE TABLE CAT_TB_AUTH_USER (
		USR_ID DECIMAL(22 , 0) NOT NULL,
		USR_CRE_DT TIMESTAMP NOT NULL,
		USR_CRE_ID VARCHAR(50) NOT NULL,
		USR_MOD_DT TIMESTAMP NOT NULL,
		USR_MOD_ID VARCHAR(50) NOT NULL,
		USR_USER VARCHAR(1024) NOT NULL,
		USR_PASSWORD VARCHAR(1024),
		USR_FIRST_NAME VARCHAR(1024),
		USR_LAST_NAME VARCHAR(1024)
	);

CREATE TABLE CAT_TB_AUTH_CONTRACT (
		ATH_USR_CRE_DT TIMESTAMP NOT NULL,
		ATH_USR_CRE_ID VARCHAR(50) NOT NULL,
		ATH_USR_MOD_DT TIMESTAMP NOT NULL,
		ATH_USR_MOD_ID VARCHAR(50) NOT NULL,
		ATH_URS_USR_ID DECIMAL(22 , 0) NOT NULL,
		ATH_URS_ROL_ID DECIMAL(22 , 0) NOT NULL,
		ATH_CON_ID DECIMAL(22 , 0) NOT NULL
	);

CREATE TABLE CAT_TB_AUTH_ROLE (
		ROL_ID DECIMAL(22 , 0) NOT NULL,
		ROL_CRE_DT TIMESTAMP NOT NULL,
		ROL_CRE_ID VARCHAR(50) NOT NULL,
		ROL_MOD_DT TIMESTAMP NOT NULL,
		ROL_MOD_ID VARCHAR(50) NOT NULL,
		ROL_ROLE_NAME VARCHAR(1024) NOT NULL
	);

CREATE TABLE CAT_TB_AUTH_USER_ROLES (
		URS_USR_CRE_DT TIMESTAMP NOT NULL,
		URS_USR_CRE_ID VARCHAR(50) NOT NULL,
		URS_USR_MOD_DT TIMESTAMP NOT NULL,
		URS_USR_MOD_ID VARCHAR(50) NOT NULL,
		URS_USR_ID DECIMAL(22 , 0) NOT NULL,
		URS_ROL_ID DECIMAL(22 , 0) NOT NULL
	);

CREATE TABLE CAT_TB_STATUS (
		STA_CODE VARCHAR(128) NOT NULL,
		STA_CRE_DT TIMESTAMP NOT NULL,
		STA_CRE_ID VARCHAR(50) NOT NULL,
		STA_MOD_DT TIMESTAMP NOT NULL,
		STA_MOD_ID VARCHAR(50) NOT NULL,
		STA_DESC VARCHAR(1024)
	);

CREATE TABLE CAT_TB_ACTION (
		ACN_CRE_DT TIMESTAMP NOT NULL,
		ACN_CODE VARCHAR(128) NOT NULL,
		ACN_CRE_ID VARCHAR(50) NOT NULL,
		ACN_MOD_DT TIMESTAMP NOT NULL,
		ACN_MOD_ID VARCHAR(50) NOT NULL,
		ACN_DESC VARCHAR(1028) NOT NULL,
		ACN_SHOW_IN_TASK_LIST VARCHAR(1) DEFAULT 'N' NOT NULL,
		ACN_ORDER DECIMAL(3 , 0)
	);

CREATE TABLE CAT_TB_AUTH_ACTION_ROLE (
		AAR_CRE_DT TIMESTAMP NOT NULL,
		AAR_CRE_ID VARCHAR(50) NOT NULL,
		AAR_MOD_DT TIMESTAMP NOT NULL,
		AAR_MOD_ID VARCHAR(50) NOT NULL,
		AAR_ROL_ID DECIMAL(22 , 0) NOT NULL,
		AAR_ACN_CODE VARCHAR(128) NOT NULL,
		AAR_STA_CODE VARCHAR(128) NOT NULL
	);

CREATE TABLE CAT_TB_APPLICABLE_TAX_CATEGORY (
		ATC_RIL_ID DECIMAL(22 , 0) NOT NULL,
		ATC_CTC_ID DECIMAL(22 , 0) NOT NULL,
		ATC_CRE_DT TIMESTAMP NOT NULL,
		ATC_CRE_ID VARCHAR(50) NOT NULL,
		ATC_MOD_DT TIMESTAMP NOT NULL,
		ATC_MOD_ID VARCHAR(50) NOT NULL
	);
	
CREATE SEQUENCE CAT_SQ_AIP_ID START WITH 1 INCREMENT BY 1;
CREATE SEQUENCE CAT_SQ_ADD_ID START WITH 1 INCREMENT BY 1;
CREATE SEQUENCE CAT_SQ_ALL_ID START WITH 1 INCREMENT BY 1;
CREATE SEQUENCE CAT_SQ_BIN_ID START WITH 1 INCREMENT BY 1;
CREATE SEQUENCE CAT_SQ_MOD_ID START WITH 1 INCREMENT BY 1;
CREATE SEQUENCE CAT_SQ_CAT_ID START WITH 1 INCREMENT BY 1;
CREATE SEQUENCE CAT_SQ_VER_ID START WITH 1 INCREMENT BY 1;
CREATE SEQUENCE CAT_SQ_CTC_ID START WITH 1 INCREMENT BY 1;
CREATE SEQUENCE CAT_SQ_COA_ID START WITH 1 INCREMENT BY 1;
CREATE SEQUENCE CAT_SQ_CVR_ID START WITH 1 INCREMENT BY 1;
CREATE SEQUENCE CAT_SQ_DEL_ID START WITH 1 INCREMENT BY 1;
CREATE SEQUENCE CAT_SQ_DCR_ID START WITH 1 INCREMENT BY 1;
CREATE SEQUENCE CAT_SQ_HAZ_ID START WITH 1 INCREMENT BY 1;
CREATE SEQUENCE CAT_SQ_ITM_ID START WITH 1 INCREMENT BY 1;
CREATE SEQUENCE CAT_SQ_ICP_ID START WITH 1 INCREMENT BY 1;
CREATE SEQUENCE CAT_SQ_IID_ID START WITH 1 INCREMENT BY 1;
CREATE SEQUENCE CAT_SQ_IPG_ID START WITH 1 INCREMENT BY 1;
CREATE SEQUENCE CAT_SQ_ITR_ID START WITH 1 INCREMENT BY 1;
CREATE SEQUENCE CAT_SQ_IRT_ID START WITH 1 INCREMENT BY 1;
CREATE SEQUENCE CAT_SQ_KEY_ID START WITH 1 INCREMENT BY 1;
CREATE SEQUENCE CAT_SQ_MDS_ID START WITH 1 INCREMENT BY 1;
CREATE SEQUENCE CAT_SQ_PAR_ID START WITH 1 INCREMENT BY 1;
CREATE SEQUENCE CAT_SQ_ATR_ID START WITH 1 INCREMENT BY 1;
CREATE SEQUENCE CAT_SQ_RIL_ID START WITH 1 INCREMENT BY 1;
CREATE SEQUENCE CAT_SQ_ICD_ID START WITH 1 INCREMENT BY 1;
CREATE SEQUENCE CAT_SQ_TRN_ID START WITH 35000 INCREMENT BY 1;
CREATE SEQUENCE CAT_SQ_WAR_ID START WITH 1 INCREMENT BY 1;
CREATE SEQUENCE CAT_SQ_CON_ID START WITH 1 INCREMENT BY 1;
CREATE SEQUENCE CAT_SQ_USR_ID START WITH 1 INCREMENT BY 1;

ALTER TABLE CAT_TB_CATALOGUE ADD CONSTRAINT CAT_PK_CAT PRIMARY KEY (CAT_ID);

ALTER TABLE CAT_TB_PARTY ADD CONSTRAINT CAT_PK_PAR PRIMARY KEY (PAR_ID);

ALTER TABLE CAT_TB_CATALOGUE_VERSION ADD CONSTRAINT CAT_PK_VER PRIMARY KEY (VER_ID);

ALTER TABLE CAT_TB_CONTRACT_VERSION ADD CONSTRAINT CAT_TB_CONTRACT_VERSION_PK PRIMARY KEY (CVR_VER_ID, CVR_CON_ID);

ALTER TABLE CAT_TB_DOCUMENT_REFERENCE ADD CONSTRAINT CAT_PK_DCR PRIMARY KEY (DCR_ID);

ALTER TABLE CAT_TB_DOCUMENT_TYPE_CODE ADD CONSTRAINT CAT_PK_DTC PRIMARY KEY (DTC_CODE);

ALTER TABLE CAT_TB_BINARY_INFORMATION ADD CONSTRAINT CAT_PK_BIN PRIMARY KEY (BIN_ID);

ALTER TABLE CAT_TB_ITM_PROP_GRP ADD CONSTRAINT CAT_PK_IPG PRIMARY KEY (IPG_ID);

ALTER TABLE CAT_TB_SCHEME_CODE ADD CONSTRAINT CAT_PK_SCH PRIMARY KEY (SCH_CODE);

ALTER TABLE CAT_TB_ADD_ITM_PRP ADD CONSTRAINT CAT_PK_AIP PRIMARY KEY (AIP_ID);

ALTER TABLE CAT_TB_ADD_ITM_PRP_GRP ADD CONSTRAINT CAT_PK_APG PRIMARY KEY (APR_IPG_ID, APR_AIP_ID);

ALTER TABLE CAT_TB_DELIVERY_UNIT ADD CONSTRAINT CAT_PK_DEL PRIMARY KEY (DEL_ID);

ALTER TABLE CAT_TB_UNIT_MEASURE_CODE ADD CONSTRAINT CAT_PK_UMC PRIMARY KEY (UMC_CODE);

ALTER TABLE CAT_TB_ALLOWANCE_CHARGE ADD CONSTRAINT CAT_PK_ALL PRIMARY KEY (ALL_ID);

ALTER TABLE CAT_TB_CURRENCY_CODE ADD CONSTRAINT CAT_PK_CUR PRIMARY KEY (CUR_CODE);

ALTER TABLE CAT_TB_CLASSIFIED_TAX_CATEGORY ADD CONSTRAINT CAT_PK_CTC PRIMARY KEY (CTC_ID);

ALTER TABLE CAT_TB_ADDRESS ADD CONSTRAINT CAT_PK_ADD PRIMARY KEY (ADD_ID);

ALTER TABLE CAT_TB_COUNTRY_CODE ADD CONSTRAINT CAT_PK_CCD PRIMARY KEY (CCD_CODE);

ALTER TABLE CAT_TB_RELATIONSHIP_TYPE_CODE ADD CONSTRAINT CAT_PK_RTC PRIMARY KEY (RTC_CODE);

ALTER TABLE CAT_TB_ITM_ID_TYPE_CODE ADD CONSTRAINT CAT_PK_ITC PRIMARY KEY (ITC_CODE);

ALTER TABLE CAT_TB_ITM_REL ADD CONSTRAINT CAT_PK_ITR PRIMARY KEY (ITR_ID);

ALTER TABLE CAT_TB_ITM_ID ADD CONSTRAINT CAT_PK_IID PRIMARY KEY (IID_ID);

ALTER TABLE CAT_TB_ITM_CLASS ADD CONSTRAINT CAT_PK_ICL PRIMARY KEY (ICL_CODE, ICL_SCHEME_CODE);

ALTER TABLE CAT_TB_MEASUREMENT_DIMENSION ADD CONSTRAINT CAT_PK_MDS PRIMARY KEY (MDS_ID);

ALTER TABLE CAT_TB_PHYSICAL_ATTRIBUTE ADD CONSTRAINT CAT_PK_ATR PRIMARY KEY (ATR_ID);

ALTER TABLE CAT_TB_ITEM ADD CONSTRAINT CAT_PK_ITM PRIMARY KEY (ITM_ID);

ALTER TABLE CAT_TB_BRAND_MODEL ADD CONSTRAINT CAT_PK_MOD PRIMARY KEY (MOD_ID);

ALTER TABLE CAT_TB_KEYWORD ADD CONSTRAINT CAT_PK_KEY PRIMARY KEY (KEY_ID);

ALTER TABLE CAT_TB_KEYWORD_ITEM ADD CONSTRAINT CAT_PK_KIT_ITM PRIMARY KEY (TKI_KIT_KEY_ID, TKI_ITM_ID);

ALTER TABLE CAT_TB_ITM_ITM_IDENT ADD CONSTRAINT CAT_PK_IID_ITM PRIMARY KEY (III_IID_ID, III_ITM_ID);

ALTER TABLE CAT_TB_ITM_ITM_CLASS ADD CONSTRAINT CAT_PK_ICL_ITM PRIMARY KEY (IIL_ICL_CODE, IIL_ITM_ID, IIL_ICL_SCHEME_CODE);

ALTER TABLE CAT_TB_REQ_ITEM_LOCATION_QT ADD CONSTRAINT CAT_PK_RIL PRIMARY KEY (RIL_ID);

ALTER TABLE CAT_TB_ITM_MEAS_DIM ADD CONSTRAINT CAT_PK_ITM_MDS PRIMARY KEY (IME_ITM_ID, IME_MDS_ID);

ALTER TABLE CAT_TB_ITM_PARTY ADD CONSTRAINT CAT_PK_ITM_PAR PRIMARY KEY (ITM_ID, PAR_ID);

ALTER TABLE CAT_TB_ITM_COMP ADD CONSTRAINT CAT_PK_ICP PRIMARY KEY (ICP_ID);

ALTER TABLE CAT_TB_HAZARDOUS_ITEM ADD CONSTRAINT CAT_PK_HAZ PRIMARY KEY (HAZ_ID);

ALTER TABLE CAT_TB_PARTY_TYPE_CODE ADD CONSTRAINT CAT_TB_PARTY_TYPE_CODE_PK PRIMARY KEY (PTC_CODE);

ALTER TABLE CAT_TB_CONTACT ADD CONSTRAINT CAT_TB_CONTACT_PK PRIMARY KEY (COA_ID);

ALTER TABLE CAT_TB_CONTACT_TYPE ADD CONSTRAINT CAT_TB_CONTACT_TYPE_PK PRIMARY KEY (CNT_CODE);

ALTER TABLE CAT_TB_PARTY_CONTACT ADD CONSTRAINT CAT_TB_PARTY_CONTACT_PK PRIMARY KEY (PCA_PAR_ID, PCA_COA_ID);

ALTER TABLE CAT_TB_ITM_ITM_COMP ADD CONSTRAINT CAT_TB_ITM_ITM_COMP_PK PRIMARY KEY (CPI_ITM_ID, CPI_ICP_ID);

ALTER TABLE CAT_TB_ITM_CLASS_DESC ADD CONSTRAINT CAT_TB_ITM_CLASS_DESC_PK PRIMARY KEY (ICD_ID);

ALTER TABLE CAT_TB_ITM_ADDRESS ADD CONSTRAINT CAT_PK_IES PRIMARY KEY (IES_ITM_ID, IES_ADD_ID);

ALTER TABLE CAT_TB_APPLICABLE_TERR_ADDR ADD CONSTRAINT CAT_PK_ATA PRIMARY KEY (ATA_RIL_ID, ATA_ADD_ID);

ALTER TABLE CAT_TB_JURISDICTION_ADDR ADD CONSTRAINT CAT_PK_JAD PRIMARY KEY (JAD_ADD_ID, JAD_CTC_ID);

ALTER TABLE CAT_REQ_ITM_LOC_QT_ALLOWANCE ADD CONSTRAINT CAT_PK_RLQ PRIMARY KEY (RLQ_RIL_ID, RLQ_ALL_ID);

ALTER TABLE CAT_TB_CATALOGUE_PARTY ADD CONSTRAINT CAT_TB_CATALOGUE_PARTY_PK PRIMARY KEY (CAP_CAT_ID, CAP_PAR_ID, CAP_PTC_CODE);

ALTER TABLE CAT_TB_PARTY_ITEM ADD CONSTRAINT CAT_TB_PARTY_ITEM_PK PRIMARY KEY (PAI_ITM_ID, PAI_PAR_ID, PAI_PTC_CODE);

ALTER TABLE CAT_TB_TAX_TYPE_CODE ADD CONSTRAINT CAT_TB_TAX_TYPE_CODE_PK PRIMARY KEY (TXC_CODE);

ALTER TABLE CAT_TB_TAX_SCHEME_TYPE_CODE ADD CONSTRAINT CAT_TB_TAX_SCHEME_TYPE_CODE_PK PRIMARY KEY (TXT_CODE);

ALTER TABLE CAT_PARTY_JURISDICTION_ADDRESS ADD CONSTRAINT CAT_PARTY_JUR_ADD_PK PRIMARY KEY (PJA_PAR_ID, PJA_ADD_ID);

ALTER TABLE CAT_TB_TRANSLATION_ENTRY ADD CONSTRAINT CAT_TB_TRANSLATION_ENTRY_PK PRIMARY KEY (TRE_TRN_ID, TRE_LAN_CODE);

ALTER TABLE CAT_TB_TRANSLATIONS ADD CONSTRAINT CAT_TB_TRANSLATIONS_PK PRIMARY KEY (TRN_ID);

ALTER TABLE CAT_TB_LANGUAGE_CODE ADD CONSTRAINT CAT_TB_LANGUAGE_CODE_PK PRIMARY KEY (LAN_CODE);

ALTER TABLE CAT_TB_CAT_VERSION_ITM ADD CONSTRAINT CAT_TB_CAT_VERSION_ITM_PK PRIMARY KEY (CVI_VER_ID, CVI_ITM_ID);

ALTER TABLE CAT_TB_CATALOGUE_WARNINGS ADD CONSTRAINT CAT_PK_WAR PRIMARY KEY (WAR_ID);

ALTER TABLE CAT_TB_WARNING_TYPE ADD CONSTRAINT CAT_TB_WARNING_TYPE_PK PRIMARY KEY (WAT_CODE);

ALTER TABLE CAT_TB_WARNING_DESC ADD CONSTRAINT CAT_TB_WARNING_DESC_PK PRIMARY KEY (WAD_WAT_CODE, WAD_LANG);

ALTER TABLE CAT_TB_AVAILABLE_LANGUAGES ADD CONSTRAINT CAT_TB_AVAILABLE_LANGUAGES_PK PRIMARY KEY (AVL_VER_ID, AVL_LAN_CODE);

ALTER TABLE CAT_TB_CONTRACT ADD CONSTRAINT CAT_TB_CONTRACT_PK PRIMARY KEY (CON_ID);

ALTER TABLE CAT_TB_AUTH_USER ADD CONSTRAINT CAT_AUTH_USER_PK PRIMARY KEY (USR_ID);

ALTER TABLE CAT_TB_AUTH_CONTRACT ADD CONSTRAINT CAT_TB_AUTH_CONTRACT_PK PRIMARY KEY (ATH_URS_USR_ID, ATH_URS_ROL_ID, ATH_CON_ID);

ALTER TABLE CAT_TB_AUTH_ROLE ADD CONSTRAINT CAT_AUTH_ROLE_PK PRIMARY KEY (ROL_ID);

ALTER TABLE CAT_TB_AUTH_USER_ROLES ADD CONSTRAINT CAT_PK_AUTH_URS PRIMARY KEY (URS_USR_ID, URS_ROL_ID);

ALTER TABLE CAT_TB_STATUS ADD CONSTRAINT CAT_PK_STATUS PRIMARY KEY (STA_CODE);

ALTER TABLE CAT_TB_ACTION ADD CONSTRAINT CAT_PK_ACTION PRIMARY KEY (ACN_CODE);

ALTER TABLE CAT_TB_AUTH_ACTION_ROLE ADD CONSTRAINT CAT_PK_AUTH_ACTION_ROLE PRIMARY KEY (AAR_ROL_ID, AAR_ACN_CODE, AAR_STA_CODE);

ALTER TABLE CAT_TB_APPLICABLE_TAX_CATEGORY ADD CONSTRAINT CAT_TB_PK_ATC PRIMARY KEY (ATC_RIL_ID, ATC_CTC_ID);

ALTER TABLE CAT_TB_CATALOGUE ADD CONSTRAINT CAT_FK_CAT_NOTE_TRN FOREIGN KEY (CAT_NOTE)
	REFERENCES CAT_TB_TRANSLATIONS (TRN_ID);

ALTER TABLE CAT_TB_CATALOGUE ADD CONSTRAINT CAT_FK_CAT_DESC_TRN FOREIGN KEY (CAT_DESCRIPTION)
	REFERENCES CAT_TB_TRANSLATIONS (TRN_ID);

ALTER TABLE CAT_TB_PARTY ADD CONSTRAINT CAT_FK_PAR_CAT_TB_ADD FOREIGN KEY (PAR_ADD_ID)
	REFERENCES CAT_TB_ADDRESS (ADD_ID);

ALTER TABLE CAT_TB_PARTY ADD CONSTRAINT CAT_FK_PARTY_TXC_ID FOREIGN KEY (PAR_TXC_CODE)
	REFERENCES CAT_TB_TAX_TYPE_CODE (TXC_CODE);

ALTER TABLE CAT_TB_PARTY ADD CONSTRAINT CAT_FK_PAR_CAT_TB_ADD_1 FOREIGN KEY (PAR_LEG_ENT_REG_ADDRESS)
	REFERENCES CAT_TB_ADDRESS (ADD_ID);

ALTER TABLE CAT_TB_PARTY ADD CONSTRAINT CAT_FK_PAR_DSC_TRN FOREIGN KEY (PAR_DATA_SEND_CAPAB)
	REFERENCES CAT_TB_TRANSLATIONS (TRN_ID);

ALTER TABLE CAT_TB_PARTY ADD CONSTRAINT CAT_FK_PAR_REG_ADD FOREIGN KEY (PAR_REG_ADDRESS)
	REFERENCES CAT_TB_ADDRESS (ADD_ID);

ALTER TABLE CAT_TB_CATALOGUE_VERSION ADD CONSTRAINT CAT_FK_CAT_VER FOREIGN KEY (VER_CAT_ID)
	REFERENCES CAT_TB_CATALOGUE (CAT_ID);

ALTER TABLE CAT_TB_CATALOGUE_VERSION ADD CONSTRAINT CAT_FK_VER_VER FOREIGN KEY (VER_NEXT_VERSION)
	REFERENCES CAT_TB_CATALOGUE_VERSION (VER_ID);

ALTER TABLE CAT_TB_CATALOGUE_VERSION ADD CONSTRAINT CAT_FK_VER_DESC_TRN FOREIGN KEY (VER_DESCRIPTION)
	REFERENCES CAT_TB_TRANSLATIONS (TRN_ID);

ALTER TABLE CAT_TB_CONTRACT_VERSION ADD CONSTRAINT CAT_FK_VER_CVR FOREIGN KEY (CVR_VER_ID)
	REFERENCES CAT_TB_CATALOGUE_VERSION (VER_ID);

ALTER TABLE CAT_TB_CONTRACT_VERSION ADD CONSTRAINT CAT_FK_CON_VCR FOREIGN KEY (CVR_CON_ID)
	REFERENCES CAT_TB_CONTRACT (CON_ID)
	ON DELETE CASCADE;

ALTER TABLE CAT_TB_DOCUMENT_REFERENCE ADD CONSTRAINT CAT_FK_DOC_DOC_TYPE FOREIGN KEY (DCR_DTC_CODE)
	REFERENCES CAT_TB_DOCUMENT_TYPE_CODE (DTC_CODE);

ALTER TABLE CAT_TB_DOCUMENT_REFERENCE ADD CONSTRAINT CAT_FK_DOC_REF_ITEM FOREIGN KEY (DCR_ITEM_ID)
	REFERENCES CAT_TB_ITEM (ITM_ID);

ALTER TABLE CAT_TB_DOCUMENT_REFERENCE ADD CONSTRAINT CAT_FK_CON_DCR FOREIGN KEY (DCR_CON_ID)
	REFERENCES CAT_TB_CONTRACT (CON_ID);

ALTER TABLE CAT_TB_DOCUMENT_TYPE_CODE ADD CONSTRAINT CAT_FK_DTC_DESC_TRN FOREIGN KEY (DTC_DESCRIPTION)
	REFERENCES CAT_TB_TRANSLATIONS (TRN_ID);

ALTER TABLE CAT_TB_BINARY_INFORMATION ADD CONSTRAINT CAT_FK_BIN_DOC_REF FOREIGN KEY (BIN_DCR_ID)
	REFERENCES CAT_TB_DOCUMENT_REFERENCE (DCR_ID);

ALTER TABLE CAT_TB_BINARY_INFORMATION ADD CONSTRAINT CAT_FK_BIN_DESC_TRN FOREIGN KEY (BIN_DESCRIPTION)
	REFERENCES CAT_TB_TRANSLATIONS (TRN_ID);

ALTER TABLE CAT_TB_ITM_PROP_GRP ADD CONSTRAINT CAT_FK_PRO_SCHE_CD FOREIGN KEY (IPG_SCH_CODE)
	REFERENCES CAT_TB_SCHEME_CODE (SCH_CODE);

ALTER TABLE CAT_TB_ADD_ITM_PRP ADD CONSTRAINT CAT_FK_ADD_PR_ITEM FOREIGN KEY (AIP_ITEM)
	REFERENCES CAT_TB_ITEM (ITM_ID);

ALTER TABLE CAT_TB_ADD_ITM_PRP_GRP ADD CONSTRAINT CAT_FK_PRO_PRO_GPR FOREIGN KEY (APR_IPG_ID)
	REFERENCES CAT_TB_ITM_PROP_GRP (IPG_ID);

ALTER TABLE CAT_TB_ADD_ITM_PRP_GRP ADD CONSTRAINT CAT_FK_PRO_GRP_ADD_INFO FOREIGN KEY (APR_AIP_ID)
	REFERENCES CAT_TB_ADD_ITM_PRP (AIP_ID);

ALTER TABLE CAT_TB_DELIVERY_UNIT ADD CONSTRAINT CAT_FK_DEL_UNIT_MEAS_CD FOREIGN KEY (DEL_BATCH_QT_UNIT_CD)
	REFERENCES CAT_TB_UNIT_MEASURE_CODE (UMC_CODE);

ALTER TABLE CAT_TB_DELIVERY_UNIT ADD CONSTRAINT CAT_FK_DEL_UNIT_MEAS_CD_2 FOREIGN KEY (DEL_CONSUMER_QT_UNIT_CD)
	REFERENCES CAT_TB_UNIT_MEASURE_CODE (UMC_CODE);

ALTER TABLE CAT_TB_DELIVERY_UNIT ADD CONSTRAINT CAT_FK_DEL_LOC FOREIGN KEY (DEL_REQ_ITEM_LOC_QT)
	REFERENCES CAT_TB_REQ_ITEM_LOCATION_QT (RIL_ID);

ALTER TABLE CAT_TB_UNIT_MEASURE_CODE ADD CONSTRAINT CAT_FK_UMC_TRN FOREIGN KEY (UMC_DESCRIPTION)
	REFERENCES CAT_TB_TRANSLATIONS (TRN_ID);

ALTER TABLE CAT_TB_ALLOWANCE_CHARGE ADD CONSTRAINT CAT_FK_ALL_CH_CURR FOREIGN KEY (ALL_CUR_CODE)
	REFERENCES CAT_TB_CURRENCY_CODE (CUR_CODE);

ALTER TABLE CAT_TB_ALLOWANCE_CHARGE ADD CONSTRAINT CAT_FK_ALL_RSN_TRN FOREIGN KEY (ALL_REASON)
	REFERENCES CAT_TB_TRANSLATIONS (TRN_ID);

ALTER TABLE CAT_TB_CURRENCY_CODE ADD CONSTRAINT CAT_FK_CUR_DESC_TRN FOREIGN KEY (CUR_DESCRIPTION)
	REFERENCES CAT_TB_TRANSLATIONS (TRN_ID);

ALTER TABLE CAT_TB_CLASSIFIED_TAX_CATEGORY ADD CONSTRAINT CAT_FK_TAX_MEAS_CD FOREIGN KEY (CTC_BASE_UNIT_MEAS_UNIT_MEAS)
	REFERENCES CAT_TB_UNIT_MEASURE_CODE (UMC_CODE);

ALTER TABLE CAT_TB_CLASSIFIED_TAX_CATEGORY ADD CONSTRAINT CAT_FK_TAX_MEAS_CD_2 FOREIGN KEY (CTC_PER_UNIT_AMT_UNIT_MEAS)
	REFERENCES CAT_TB_UNIT_MEASURE_CODE (UMC_CODE);

ALTER TABLE CAT_TB_CLASSIFIED_TAX_CATEGORY ADD CONSTRAINT CAT_FK_TAX_CURR FOREIGN KEY (CTC_CUR_CODE)
	REFERENCES CAT_TB_CURRENCY_CODE (CUR_CODE);

ALTER TABLE CAT_TB_CLASSIFIED_TAX_CATEGORY ADD CONSTRAINT CAT_FK_TAX_ALL FOREIGN KEY (CTC_ALL_ID)
	REFERENCES CAT_TB_ALLOWANCE_CHARGE (ALL_ID);

ALTER TABLE CAT_TB_CLASSIFIED_TAX_CATEGORY ADD CONSTRAINT CAT_FK_TAX_ITM FOREIGN KEY (CTC_ITEM)
	REFERENCES CAT_TB_ITEM (ITM_ID);

ALTER TABLE CAT_TB_CLASSIFIED_TAX_CATEGORY ADD CONSTRAINT CAT_FK_TXT_CTC FOREIGN KEY (CTC_TXT_CODE)
	REFERENCES CAT_TB_TAX_SCHEME_TYPE_CODE (TXT_CODE);

ALTER TABLE CAT_TB_CLASSIFIED_TAX_CATEGORY ADD CONSTRAINT CAT_FK_TXC_CTC FOREIGN KEY (CTC_TXC_CODE)
	REFERENCES CAT_TB_TAX_TYPE_CODE (TXC_CODE);

ALTER TABLE CAT_TB_CLASSIFIED_TAX_CATEGORY ADD CONSTRAINT CAT_FK_CTC_REA_TRN FOREIGN KEY (CTC_TAX_EXEMPTION_REASON)
	REFERENCES CAT_TB_TRANSLATIONS (TRN_ID);

ALTER TABLE CAT_TB_CLASSIFIED_TAX_CATEGORY ADD CONSTRAINT CAT_FK_CTC_PAR FOREIGN KEY (CTC_PAR_ID)
	REFERENCES CAT_TB_PARTY (PAR_ID);

ALTER TABLE CAT_TB_ADDRESS ADD CONSTRAINT CAT_FK_ADDR_COUNTR FOREIGN KEY (ADD_COUNTRY_CODE)
	REFERENCES CAT_TB_COUNTRY_CODE (CCD_CODE);

ALTER TABLE CAT_TB_COUNTRY_CODE ADD CONSTRAINT CAT_FK_CCD_DESC_TRN FOREIGN KEY (CCD_DESCRIPTION)
	REFERENCES CAT_TB_TRANSLATIONS (TRN_ID);

ALTER TABLE CAT_TB_RELATIONSHIP_TYPE_CODE ADD CONSTRAINT CAT_FK_RTC_DESC_TRN FOREIGN KEY (RTC_DESCRIPTION)
	REFERENCES CAT_TB_TRANSLATIONS (TRN_ID);

ALTER TABLE CAT_TB_ITM_ID_TYPE_CODE ADD CONSTRAINT CAT_FK_ITC_DESC_TRN FOREIGN KEY (ITC_DESCRIPTION)
	REFERENCES CAT_TB_TRANSLATIONS (TRN_ID);

ALTER TABLE CAT_TB_ITM_REL ADD CONSTRAINT CAT_FK_REL_MEAS_CD FOREIGN KEY (ITR_QT_UNIT_MEAS)
	REFERENCES CAT_TB_UNIT_MEASURE_CODE (UMC_CODE);

ALTER TABLE CAT_TB_ITM_REL ADD CONSTRAINT CAT_FK_ITR_ITM FOREIGN KEY (ITR_ITEM)
	REFERENCES CAT_TB_ITEM (ITM_ID);

ALTER TABLE CAT_TB_ITM_REL ADD CONSTRAINT CAT_FK_ITR_ITM_2 FOREIGN KEY (ITR_RELATED_ITEM)
	REFERENCES CAT_TB_ITEM (ITM_ID);

ALTER TABLE CAT_TB_ITM_REL ADD CONSTRAINT CAT_FK_ITR_DESC_TRN FOREIGN KEY (ITR_DESCRIPTION)
	REFERENCES CAT_TB_TRANSLATIONS (TRN_ID);

ALTER TABLE CAT_TB_ITM_REL ADD CONSTRAINT CAT_FK_ITR_RTC FOREIGN KEY (ITR_REL_TYPE_CODE)
	REFERENCES CAT_TB_RELATIONSHIP_TYPE_CODE (RTC_CODE);

ALTER TABLE CAT_TB_ITM_ID ADD CONSTRAINT CAT_TB_ITC_IID FOREIGN KEY (IID_IDENTIFICATION_TYPE_CD)
	REFERENCES CAT_TB_ITM_ID_TYPE_CODE (ITC_CODE);

ALTER TABLE CAT_TB_ITM_CLASS ADD CONSTRAINT CAT_FK_CLASS_SCH FOREIGN KEY (ICL_SCHEME_CODE)
	REFERENCES CAT_TB_SCHEME_CODE (SCH_CODE);

ALTER TABLE CAT_TB_ITM_CLASS ADD CONSTRAINT CAT_FK_ITM_CLA_ITM_CLA FOREIGN KEY (ICL_PARENT_CODE, ICL_PARENT_SCHEME_CODE)
	REFERENCES CAT_TB_ITM_CLASS (ICL_CODE, ICL_SCHEME_CODE);

ALTER TABLE CAT_TB_MEASUREMENT_DIMENSION ADD CONSTRAINT CAT_FK_MEAS_DIM FOREIGN KEY (MDS_MAX_UNIT_MEASURE)
	REFERENCES CAT_TB_UNIT_MEASURE_CODE (UMC_CODE);

ALTER TABLE CAT_TB_MEASUREMENT_DIMENSION ADD CONSTRAINT CAT_FK_MEA_UNIT FOREIGN KEY (MDS_MIN_UNIT_MEASURE)
	REFERENCES CAT_TB_UNIT_MEASURE_CODE (UMC_CODE);

ALTER TABLE CAT_TB_MEASUREMENT_DIMENSION ADD CONSTRAINT CAT_FK_MDS_DESC_TRN FOREIGN KEY (MDS_DESCRIPTION)
	REFERENCES CAT_TB_TRANSLATIONS (TRN_ID);

ALTER TABLE CAT_TB_PHYSICAL_ATTRIBUTE ADD CONSTRAINT CAT_FK_ITM_PHY_ATTR FOREIGN KEY (ATR_ITM_ID)
	REFERENCES CAT_TB_ITEM (ITM_ID);

ALTER TABLE CAT_TB_PHYSICAL_ATTRIBUTE ADD CONSTRAINT CAT_FK_ATR_DESC_TRN FOREIGN KEY (ATR_DESCRIPTION)
	REFERENCES CAT_TB_TRANSLATIONS (TRN_ID);

ALTER TABLE CAT_TB_ITEM ADD CONSTRAINT CAT_FK_CTR_CTR_CD FOREIGN KEY (ITM_COUNTRY_CODE)
	REFERENCES CAT_TB_COUNTRY_CODE (CCD_CODE);

ALTER TABLE CAT_TB_ITEM ADD CONSTRAINT CAT_FK_ITEM_MEAS_CD FOREIGN KEY (ITM_PACK_QT_UT_MEAS)
	REFERENCES CAT_TB_UNIT_MEASURE_CODE (UMC_CODE);

ALTER TABLE CAT_TB_ITEM ADD CONSTRAINT CAT_FK_ITEM_MEAS_CD_3 FOREIGN KEY (ITM_MAX_ORD_QT_UT_MEAS)
	REFERENCES CAT_TB_UNIT_MEASURE_CODE (UMC_CODE);

ALTER TABLE CAT_TB_ITEM ADD CONSTRAINT CAT_FK_ITEM_MEAS_CD_4 FOREIGN KEY (ITM_CONT_UT_QT_UT_MEAS)
	REFERENCES CAT_TB_UNIT_MEASURE_CODE (UMC_CODE);

ALTER TABLE CAT_TB_ITEM ADD CONSTRAINT CAT_FK_ITEM_MEAS_CD_2 FOREIGN KEY (ITM_MIN_ORD_QT_UT_MEAS)
	REFERENCES CAT_TB_UNIT_MEASURE_CODE (UMC_CODE);

ALTER TABLE CAT_TB_ITEM ADD CONSTRAINT CAT_FK_ITEM_ITEM FOREIGN KEY (ITM_NEXT_VERSION)
	REFERENCES CAT_TB_ITEM (ITM_ID);

ALTER TABLE CAT_TB_ITEM ADD CONSTRAINT CAT_FK_ITM_CONT_TRN FOREIGN KEY (ITM_CONTRACT_SUBDIVISION)
	REFERENCES CAT_TB_TRANSLATIONS (TRN_ID);

ALTER TABLE CAT_TB_ITEM ADD CONSTRAINT CAT_FK_ITM_NOTE_TRN FOREIGN KEY (ITM_NOTE)
	REFERENCES CAT_TB_TRANSLATIONS (TRN_ID);

ALTER TABLE CAT_TB_ITEM ADD CONSTRAINT CAT_FK_ITM_INF_TRN FOREIGN KEY (ITM_ADDITIONAL_INFO)
	REFERENCES CAT_TB_TRANSLATIONS (TRN_ID);

ALTER TABLE CAT_TB_ITEM ADD CONSTRAINT CAT_FK_ITM_ORD_UNIT_TRN FOREIGN KEY (ITM_ORDARABLE_UNIT)
	REFERENCES CAT_TB_TRANSLATIONS (TRN_ID);

ALTER TABLE CAT_TB_ITEM ADD CONSTRAINT CAT_FK_ITM_WARR_INF_TRN FOREIGN KEY (ITM_WARRANTY_INFO)
	REFERENCES CAT_TB_TRANSLATIONS (TRN_ID);

ALTER TABLE CAT_TB_ITEM ADD CONSTRAINT CAT_FK_ITM_DESC_TRN FOREIGN KEY (ITM_DESCRIPTION)
	REFERENCES CAT_TB_TRANSLATIONS (TRN_ID);

ALTER TABLE CAT_TB_ITEM ADD CONSTRAINT CAT_FK_ITM_VAL_DESC_TR FOREIGN KEY (ITM_LINE_VAL_DESCRIPTION)
	REFERENCES CAT_TB_TRANSLATIONS (TRN_ID);

ALTER TABLE CAT_TB_BRAND_MODEL ADD CONSTRAINT CAT_FK_MOD_ITM FOREIGN KEY (MOD_ITM_ID)
	REFERENCES CAT_TB_ITEM (ITM_ID);

ALTER TABLE CAT_TB_KEYWORD_ITEM ADD CONSTRAINT CAT_FK_KEY_ITM_KEY FOREIGN KEY (TKI_KIT_KEY_ID)
	REFERENCES CAT_TB_KEYWORD (KEY_ID);

ALTER TABLE CAT_TB_KEYWORD_ITEM ADD CONSTRAINT CAT_FK_KEY_ITM_ITM FOREIGN KEY (TKI_ITM_ID)
	REFERENCES CAT_TB_ITEM (ITM_ID);

ALTER TABLE CAT_TB_ITM_ITM_IDENT ADD CONSTRAINT CAT_FK_IIID_ITM_ID FOREIGN KEY (III_IID_ID)
	REFERENCES CAT_TB_ITM_ID (IID_ID);

ALTER TABLE CAT_TB_ITM_ITM_IDENT ADD CONSTRAINT CAT_FK_IIID_ITM FOREIGN KEY (III_ITM_ID)
	REFERENCES CAT_TB_ITEM (ITM_ID);

ALTER TABLE CAT_TB_ITM_ITM_CLASS ADD CONSTRAINT CAT_FK_IIC_ITM_CLA FOREIGN KEY (IIL_ICL_CODE, IIL_ICL_SCHEME_CODE)
	REFERENCES CAT_TB_ITM_CLASS (ICL_CODE, ICL_SCHEME_CODE);

ALTER TABLE CAT_TB_ITM_ITM_CLASS ADD CONSTRAINT CAT_FK_IIC_ITM FOREIGN KEY (IIL_ITM_ID)
	REFERENCES CAT_TB_ITEM (ITM_ID);

ALTER TABLE CAT_TB_REQ_ITEM_LOCATION_QT ADD CONSTRAINT CAT_FK_LOC_MEAS_CD FOREIGN KEY (RIL_BASE_QT_UNIT_CD)
	REFERENCES CAT_TB_UNIT_MEASURE_CODE (UMC_CODE);

ALTER TABLE CAT_TB_REQ_ITEM_LOCATION_QT ADD CONSTRAINT CAT_FK_CURR_LOC FOREIGN KEY (RIL_CURRENCY_CD)
	REFERENCES CAT_TB_CURRENCY_CODE (CUR_CODE);

ALTER TABLE CAT_TB_REQ_ITEM_LOCATION_QT ADD CONSTRAINT CAT_FK_LOC_MEAS_CD_4 FOREIGN KEY (RIL_MIN_QT_UNIT_CD)
	REFERENCES CAT_TB_UNIT_MEASURE_CODE (UMC_CODE);

ALTER TABLE CAT_TB_REQ_ITEM_LOCATION_QT ADD CONSTRAINT CAT_FK_LOC_MEAS_CD_3 FOREIGN KEY (RIL_LEAD_TIME_MEAS_UNIT_CD)
	REFERENCES CAT_TB_UNIT_MEASURE_CODE (UMC_CODE);

ALTER TABLE CAT_TB_REQ_ITEM_LOCATION_QT ADD CONSTRAINT CAT_FK_LOC_MEAS_CD_2 FOREIGN KEY (RIL_MAX_QT_UNIT_CD)
	REFERENCES CAT_TB_UNIT_MEASURE_CODE (UMC_CODE);

ALTER TABLE CAT_TB_REQ_ITEM_LOCATION_QT ADD CONSTRAINT CAT_FK_ITM_LOC_ITM FOREIGN KEY (RIL_ITEM)
	REFERENCES CAT_TB_ITEM (ITM_ID);

ALTER TABLE CAT_TB_REQ_ITEM_LOCATION_QT ADD CONSTRAINT CAT_FK_PRICE_VAL_DESC_TR FOREIGN KEY (RIL_PRICE_VAL_DESCRIPTION)
	REFERENCES CAT_TB_TRANSLATIONS (TRN_ID);

ALTER TABLE CAT_TB_ITM_MEAS_DIM ADD CONSTRAINT CAT_FK_ITM_ITEM_DIM FOREIGN KEY (IME_ITM_ID)
	REFERENCES CAT_TB_ITEM (ITM_ID);

ALTER TABLE CAT_TB_ITM_MEAS_DIM ADD CONSTRAINT CAT_FK_DIM_ITEM_DIM FOREIGN KEY (IME_MDS_ID)
	REFERENCES CAT_TB_MEASUREMENT_DIMENSION (MDS_ID);

ALTER TABLE CAT_TB_ITM_PARTY ADD CONSTRAINT CAT_FK_ITEM_ITEM_PARTY FOREIGN KEY (ITM_ID)
	REFERENCES CAT_TB_ITEM (ITM_ID);

ALTER TABLE CAT_TB_ITM_PARTY ADD CONSTRAINT CAT_FK_PARTY_ITEM_PARTY FOREIGN KEY (PAR_ID)
	REFERENCES CAT_TB_PARTY (PAR_ID);

ALTER TABLE CAT_TB_ITM_COMP ADD CONSTRAINT CAT_FK_COMP_MEAS FOREIGN KEY (ICP_QT_UT_MEAS)
	REFERENCES CAT_TB_UNIT_MEASURE_CODE (UMC_CODE);

ALTER TABLE CAT_TB_ITM_COMP ADD CONSTRAINT CAT_FK_COMP_CURR FOREIGN KEY (ICP_CURR_CODE)
	REFERENCES CAT_TB_CURRENCY_CODE (CUR_CODE);

ALTER TABLE CAT_TB_HAZARDOUS_ITEM ADD CONSTRAINT CAT_FK_ITM_HAZ FOREIGN KEY (HAZ_ITM_ID)
	REFERENCES CAT_TB_ITEM (ITM_ID);

ALTER TABLE CAT_TB_PARTY_TYPE_CODE ADD CONSTRAINT CAT_FK_PTC_DESC_TRN FOREIGN KEY (PTC_DESCRIPTION)
	REFERENCES CAT_TB_TRANSLATIONS (TRN_ID);

ALTER TABLE CAT_TB_CONTACT ADD CONSTRAINT CAT_CONT_CONT_TYPE FOREIGN KEY (COA_CONTACT_TYPE)
	REFERENCES CAT_TB_CONTACT_TYPE (CNT_CODE);

ALTER TABLE CAT_TB_CONTACT_TYPE ADD CONSTRAINT CAT_FK_CNT_DESC_TRN FOREIGN KEY (CNT_DESCRIPTION)
	REFERENCES CAT_TB_TRANSLATIONS (TRN_ID);

ALTER TABLE CAT_TB_PARTY_CONTACT ADD CONSTRAINT CAT_FK_PAR_CONTACT FOREIGN KEY (PCA_PAR_ID)
	REFERENCES CAT_TB_PARTY (PAR_ID);

ALTER TABLE CAT_TB_PARTY_CONTACT ADD CONSTRAINT CAT_FK_PAR_CONT_CAT_TB_CONT FOREIGN KEY (PCA_COA_ID)
	REFERENCES CAT_TB_CONTACT (COA_ID);

ALTER TABLE CAT_TB_ITM_ITM_COMP ADD CONSTRAINT CAT_FK_ITM_COMP_CAT_TB FOREIGN KEY (CPI_ITM_ID)
	REFERENCES CAT_TB_ITEM (ITM_ID);

ALTER TABLE CAT_TB_ITM_ITM_COMP ADD CONSTRAINT CAT_FK_COMP_COMP FOREIGN KEY (CPI_ICP_ID)
	REFERENCES CAT_TB_ITM_COMP (ICP_ID);

ALTER TABLE CAT_TB_ITM_CLASS_DESC ADD CONSTRAINT CAT_FK_ITM_CLASS_DESC_CLASS FOREIGN KEY (ICD_ICL_CODE, ICD_ICL_SCHEME_CODE)
	REFERENCES CAT_TB_ITM_CLASS (ICL_CODE, ICL_SCHEME_CODE);

ALTER TABLE CAT_TB_ITM_CLASS_DESC ADD CONSTRAINT CAT_FK_ITM_CLASS_DESC_TRN FOREIGN KEY (ICD_DESCRIPTION)
	REFERENCES CAT_TB_TRANSLATIONS (TRN_ID);

ALTER TABLE CAT_TB_ITM_ADDRESS ADD CONSTRAINT CAT_FK_ITM_ADD FOREIGN KEY (IES_ITM_ID)
	REFERENCES CAT_TB_ITEM (ITM_ID);

ALTER TABLE CAT_TB_ITM_ADDRESS ADD CONSTRAINT CAT_FK_ADD_ITM FOREIGN KEY (IES_ADD_ID)
	REFERENCES CAT_TB_ADDRESS (ADD_ID);

ALTER TABLE CAT_TB_APPLICABLE_TERR_ADDR ADD CONSTRAINT CAT_FK_RIL_ADD FOREIGN KEY (ATA_RIL_ID)
	REFERENCES CAT_TB_REQ_ITEM_LOCATION_QT (RIL_ID);

ALTER TABLE CAT_TB_APPLICABLE_TERR_ADDR ADD CONSTRAINT CAT_FK_ADD_RIL FOREIGN KEY (ATA_ADD_ID)
	REFERENCES CAT_TB_ADDRESS (ADD_ID);

ALTER TABLE CAT_TB_JURISDICTION_ADDR ADD CONSTRAINT CAT_FK_ADD_JAD FOREIGN KEY (JAD_ADD_ID)
	REFERENCES CAT_TB_ADDRESS (ADD_ID);

ALTER TABLE CAT_TB_JURISDICTION_ADDR ADD CONSTRAINT CAT_FK_CTC_JAD FOREIGN KEY (JAD_CTC_ID)
	REFERENCES CAT_TB_CLASSIFIED_TAX_CATEGORY (CTC_ID);

ALTER TABLE CAT_REQ_ITM_LOC_QT_ALLOWANCE ADD CONSTRAINT CAT_FK_RIL_RLQ FOREIGN KEY (RLQ_RIL_ID)
	REFERENCES CAT_TB_REQ_ITEM_LOCATION_QT (RIL_ID);

ALTER TABLE CAT_REQ_ITM_LOC_QT_ALLOWANCE ADD CONSTRAINT CAT_FK_ALL_RLQ FOREIGN KEY (RLQ_ALL_ID)
	REFERENCES CAT_TB_ALLOWANCE_CHARGE (ALL_ID);

ALTER TABLE CAT_TB_CATALOGUE_PARTY ADD CONSTRAINT CAT_FK_CAT_PAR_TYPE FOREIGN KEY (CAP_CAT_ID)
	REFERENCES CAT_TB_CATALOGUE (CAT_ID);

ALTER TABLE CAT_TB_CATALOGUE_PARTY ADD CONSTRAINT CAT_FK_PAR_TYPE_CAT FOREIGN KEY (CAP_PAR_ID)
	REFERENCES CAT_TB_PARTY (PAR_ID);

ALTER TABLE CAT_TB_CATALOGUE_PARTY ADD CONSTRAINT CAT_FK_CAT_PAR_PAR_TYPE FOREIGN KEY (CAP_PTC_CODE)
	REFERENCES CAT_TB_PARTY_TYPE_CODE (PTC_CODE);

ALTER TABLE CAT_TB_PARTY_ITEM ADD CONSTRAINT CAT_FK_ITM_PAR_TYPE FOREIGN KEY (PAI_ITM_ID)
	REFERENCES CAT_TB_ITEM (ITM_ID);

ALTER TABLE CAT_TB_PARTY_ITEM ADD CONSTRAINT CAT_FK_PAR_TYPE_ITM FOREIGN KEY (PAI_PAR_ID)
	REFERENCES CAT_TB_PARTY (PAR_ID);

ALTER TABLE CAT_TB_PARTY_ITEM ADD CONSTRAINT CAT_FK_ITM_PAR_PAR_TYPE FOREIGN KEY (PAI_PTC_CODE)
	REFERENCES CAT_TB_PARTY_TYPE_CODE (PTC_CODE);

ALTER TABLE CAT_TB_TAX_TYPE_CODE ADD CONSTRAINT CAT_FK_TXC_DESC_TRN FOREIGN KEY (TXC_DESCRIPTION)
	REFERENCES CAT_TB_TRANSLATIONS (TRN_ID);

ALTER TABLE CAT_TB_TAX_SCHEME_TYPE_CODE ADD CONSTRAINT CAT_FK_TXT_DESC_TRN FOREIGN KEY (TXT_DESCRIPTION)
	REFERENCES CAT_TB_TRANSLATIONS (TRN_ID);

ALTER TABLE CAT_PARTY_JURISDICTION_ADDRESS ADD CONSTRAINT CAT_FK_PAR_JPA FOREIGN KEY (PJA_PAR_ID)
	REFERENCES CAT_TB_PARTY (PAR_ID);

ALTER TABLE CAT_PARTY_JURISDICTION_ADDRESS ADD CONSTRAINT CAT_FK_JPA_ADD FOREIGN KEY (PJA_ADD_ID)
	REFERENCES CAT_TB_ADDRESS (ADD_ID);

ALTER TABLE CAT_TB_TRANSLATION_ENTRY ADD CONSTRAINT CAT_FK_TRN_TRE FOREIGN KEY (TRE_TRN_ID)
	REFERENCES CAT_TB_TRANSLATIONS (TRN_ID);

ALTER TABLE CAT_TB_TRANSLATION_ENTRY ADD CONSTRAINT CAT_FK_TRE_LAN FOREIGN KEY (TRE_LAN_CODE)
	REFERENCES CAT_TB_LANGUAGE_CODE (LAN_CODE);

ALTER TABLE CAT_TB_CAT_VERSION_ITM ADD CONSTRAINT CAT_FK_VER_CVI FOREIGN KEY (CVI_VER_ID)
	REFERENCES CAT_TB_CATALOGUE_VERSION (VER_ID);

ALTER TABLE CAT_TB_CAT_VERSION_ITM ADD CONSTRAINT CAT_FK_CVI_ITM FOREIGN KEY (CVI_ITM_ID)
	REFERENCES CAT_TB_ITEM (ITM_ID);

ALTER TABLE CAT_TB_CATALOGUE_WARNINGS ADD CONSTRAINT CAT_FK_VER_WAR FOREIGN KEY (WAR_VER_ID)
	REFERENCES CAT_TB_CATALOGUE_VERSION (VER_ID);

ALTER TABLE CAT_TB_CATALOGUE_WARNINGS ADD CONSTRAINT CAT_FK_WAD_WAR FOREIGN KEY (WAR_WAD_CODE, WAR_WAD_LANG)
	REFERENCES CAT_TB_WARNING_DESC (WAD_WAT_CODE, WAD_LANG);

ALTER TABLE CAT_TB_WARNING_DESC ADD CONSTRAINT CAT_FK_WAD_WAT FOREIGN KEY (WAD_WAT_CODE)
	REFERENCES CAT_TB_WARNING_TYPE (WAT_CODE);

ALTER TABLE CAT_TB_WARNING_DESC ADD CONSTRAINT CAT_FK_WAD_LAN FOREIGN KEY (WAD_LANG)
	REFERENCES CAT_TB_LANGUAGE_CODE (LAN_CODE);

ALTER TABLE CAT_TB_AVAILABLE_LANGUAGES ADD CONSTRAINT CAT_FK_VER_AVL FOREIGN KEY (AVL_VER_ID)
	REFERENCES CAT_TB_CATALOGUE_VERSION (VER_ID);

ALTER TABLE CAT_TB_AVAILABLE_LANGUAGES ADD CONSTRAINT CAT_FK_LAN_AVL FOREIGN KEY (AVL_LAN_CODE)
	REFERENCES CAT_TB_LANGUAGE_CODE (LAN_CODE);

ALTER TABLE CAT_TB_AUTH_CONTRACT ADD CONSTRAINT CAT_FK_URS_ATH FOREIGN KEY (ATH_URS_USR_ID, ATH_URS_ROL_ID)
	REFERENCES CAT_TB_AUTH_USER_ROLES (URS_USR_ID, URS_ROL_ID);

ALTER TABLE CAT_TB_AUTH_CONTRACT ADD CONSTRAINT CAT_FK_CON_ATH FOREIGN KEY (ATH_CON_ID)
	REFERENCES CAT_TB_CONTRACT (CON_ID);

ALTER TABLE CAT_TB_AUTH_USER_ROLES ADD CONSTRAINT CAT_FK_USR_URS FOREIGN KEY (URS_USR_ID)
	REFERENCES CAT_TB_AUTH_USER (USR_ID);

ALTER TABLE CAT_TB_AUTH_USER_ROLES ADD CONSTRAINT CAT_FK_ROL_URS FOREIGN KEY (URS_ROL_ID)
	REFERENCES CAT_TB_AUTH_ROLE (ROL_ID);

ALTER TABLE CAT_TB_AUTH_ACTION_ROLE ADD CONSTRAINT CAT_FK_ROL_AAR FOREIGN KEY (AAR_ROL_ID)
	REFERENCES CAT_TB_AUTH_ROLE (ROL_ID);

ALTER TABLE CAT_TB_AUTH_ACTION_ROLE ADD CONSTRAINT CAT_FK_ACN_AAR FOREIGN KEY (AAR_ACN_CODE)
	REFERENCES CAT_TB_ACTION (ACN_CODE);

ALTER TABLE CAT_TB_AUTH_ACTION_ROLE ADD CONSTRAINT CAT_FK_STA_AAR FOREIGN KEY (AAR_STA_CODE)
	REFERENCES CAT_TB_STATUS (STA_CODE);

ALTER TABLE CAT_TB_APPLICABLE_TAX_CATEGORY ADD CONSTRAINT CAT_FK_RIL_ATC FOREIGN KEY (ATC_RIL_ID)
	REFERENCES CAT_TB_REQ_ITEM_LOCATION_QT (RIL_ID);

ALTER TABLE CAT_TB_APPLICABLE_TAX_CATEGORY ADD CONSTRAINT CAT_FK_CTC_ATC FOREIGN KEY (ATC_CTC_ID)
	REFERENCES CAT_TB_CLASSIFIED_TAX_CATEGORY (CTC_ID);