CREATE TABLE EPR_TB_EVENT
(
  EVT_ID        INTEGER                          NOT NULL,
  EVT_CRE_DT    TIMESTAMP                            NOT NULL,
  EVT_CRE_ID    VARCHAR(50),
  EVT_MOD_DT    TIMESTAMP,
  EVT_MOD_ID    VARCHAR(50),
  EVT_MSG_ID    INTEGER,
  EVT_PHR_ID    INTEGER,
  EVT_EVL_ID    INTEGER,
  EVT_CONTENTS  VARCHAR(4000)
);

CREATE UNIQUE INDEX EPR_IX_EVENT ON EPR_TB_EVENT(EVT_ID);

ALTER TABLE EPR_TB_EVENT ADD PRIMARY KEY (EVT_ID);

ALTER TABLE EPR_TB_EVENT ADD CONSTRAINT EPR_FK_EVT_EVL FOREIGN KEY (EVT_EVL_ID) REFERENCES REF_TB_EVENTLEVEL (EVL_ID);

ALTER TABLE EPR_TB_EVENT ADD CONSTRAINT EPR_FK_EVT_PHR FOREIGN KEY (EVT_PHR_ID) REFERENCES UTL_TB_PHRASE (PHR_ID);

ALTER TABLE EPR_TB_EVENT ADD CONSTRAINT EPR_FK_EVT_MSG FOREIGN KEY (EVT_MSG_ID) REFERENCES EPR_TB_MESSAGE (MSG_ID);