CREATE TABLE EPR_TB_INTERCHANGEAGR
(
  ICA_AGR_ID  INTEGER                        NOT NULL,
  ICA_IDP_ID  INTEGER                        NOT NULL,
  ICA_PRF_ID  INTEGER                        NOT NULL,
  ICA_CRE_DT  TIMESTAMP                              NOT NULL,
  ICA_CRE_ID  VARCHAR(50)                 NOT NULL,
  ICA_MOD_DT  TIMESTAMP                              NOT NULL,
  ICA_MOD_ID  VARCHAR(50)                 NOT NULL
);

CREATE UNIQUE INDEX EPR_IX_INTERCHANGEAGR ON EPR_TB_INTERCHANGEAGR(ICA_AGR_ID, ICA_IDP_ID, ICA_PRF_ID);

ALTER TABLE EPR_TB_INTERCHANGEAGR ADD CONSTRAINT EPR_PK_ICA PRIMARY KEY (ICA_AGR_ID, ICA_IDP_ID, ICA_PRF_ID);

ALTER TABLE EPR_TB_INTERCHANGEAGR ADD CONSTRAINT EPR_FK_ICA_AGR FOREIGN KEY (ICA_AGR_ID) REFERENCES SUP_TB_AGREEMENT (AGR_ID);

ALTER TABLE EPR_TB_INTERCHANGEAGR ADD CONSTRAINT EPR_FK_ICA_IDP FOREIGN KEY (ICA_IDP_ID) REFERENCES EPR_TB_INTERNALDEPT (IDP_ID);

ALTER TABLE EPR_TB_INTERCHANGEAGR ADD CONSTRAINT EPR_FK_ICA_PRF FOREIGN KEY (ICA_PRF_ID) REFERENCES EPR_TB_PROFILE (PRF_ID);