CREATE TABLE EPR_TB_LOGLEVEL
(
  LGL_AGR_ID  INTEGER                            NOT NULL,
  LGL_IDP_ID  INTEGER                            NOT NULL,
  LGL_EDP_ID  INTEGER                            NOT NULL,
  LGL_CRE_DT  TIMESTAMP                              NOT NULL,
  LGL_CRE_ID  VARCHAR(50)                 NOT NULL,
  LGL_MOD_DT  TIMESTAMP,
  LGL_MOD_ID  VARCHAR(50),
  LGL_EVL_ID  INTEGER
);

CREATE UNIQUE INDEX EPR_IX_LOGLEVEL ON EPR_TB_LOGLEVEL (LGL_AGR_ID, LGL_IDP_ID, LGL_EDP_ID);

ALTER TABLE EPR_TB_LOGLEVEL ADD CONSTRAINT EPR_PK_LGL PRIMARY KEY (LGL_AGR_ID, LGL_IDP_ID, LGL_EDP_ID);

ALTER TABLE EPR_TB_LOGLEVEL ADD CONSTRAINT EPR_FK_LGL_EDP FOREIGN KEY (LGL_EDP_ID) REFERENCES EPR_TB_ENDPOINT (EDP_ID);

ALTER TABLE EPR_TB_LOGLEVEL ADD CONSTRAINT EPR_FK_LGL_AGR FOREIGN KEY (LGL_AGR_ID) REFERENCES SUP_TB_AGREEMENT (AGR_ID);

ALTER TABLE EPR_TB_LOGLEVEL ADD CONSTRAINT EPR_FK_LGL_IDP FOREIGN KEY (LGL_IDP_ID) REFERENCES EPR_TB_INTERNALDEPT (IDP_ID);

ALTER TABLE EPR_TB_LOGLEVEL ADD CONSTRAINT EPR_FK_LGL_EVL FOREIGN KEY (LGL_EVL_ID) REFERENCES REF_TB_EVENTLEVEL (EVL_ID);