CREATE TABLE EPR_TB_MESSAGE
(
  MSG_ID                    INTEGER,
  MSG_CRE_DT                TIMESTAMP                NOT NULL,
  MSG_CRE_ID                VARCHAR(50)   NOT NULL,
  MSG_MOD_DT                TIMESTAMP                NOT NULL,
  MSG_MOD_ID                VARCHAR(50)   NOT NULL,
  MSG_OBJ_ID                INTEGER,
  MSG_SUP_ID                INTEGER,
  MSG_AGR_ID                INTEGER,
  MSG_IDP_ID                INTEGER,
  MSG_DIRECTION             VARCHAR(3)    NOT NULL,
  MSG_MST_CD                VARCHAR(50)   NOT NULL,
  MSG_RAWCONTENT            BLOB,
  MSG_CANONICALCONTENT      BLOB,
  MSG_ISSUE_DT              TIMESTAMP,
  MSG_RECEIPT_DT            TIMESTAMP,
  MSG_DOCUMENTID            VARCHAR(250),
  MSG_READ_FL               VARCHAR(1)    DEFAULT 'N'                   NOT NULL,
  MSG_BIN_ID                INTEGER,
  MSG_TITLE_PHR_ID          INTEGER,
  MSG_HUMANREADABLECONTENT  BLOB,
  MSG_RSC_CD                VARCHAR(50),
  MSG_MSG_ID                INTEGER
);

CREATE UNIQUE INDEX EPR_UK_MSG_SUPMSTDOC ON EPR_TB_MESSAGE(MSG_DOCUMENTID, MSG_MST_CD, MSG_SUP_ID);
CREATE UNIQUE INDEX EPR_IX_MESSAGE ON EPR_TB_MESSAGE(MSG_ID);

ALTER TABLE EPR_TB_MESSAGE ADD CONSTRAINT EPR_PK_MSG PRIMARY KEY (MSG_ID);

ALTER TABLE EPR_TB_MESSAGE ADD CONSTRAINT EPR_UK_MSG_SUPMSTDOC UNIQUE (MSG_DOCUMENTID, MSG_MST_CD, MSG_SUP_ID);

ALTER TABLE EPR_TB_MESSAGE ADD CONSTRAINT EPR_FK_MSG_RSC FOREIGN KEY (MSG_RSC_CD) REFERENCES REF_TB_RESPONSECODE (RSC_CD);

ALTER TABLE EPR_TB_MESSAGE ADD CONSTRAINT EPR_FK_MSG_MSG FOREIGN KEY (MSG_MSG_ID) REFERENCES EPR_TB_MESSAGE (MSG_ID);

ALTER TABLE EPR_TB_MESSAGE ADD CONSTRAINT EPR_FK_MSG_PHR FOREIGN KEY (MSG_TITLE_PHR_ID) REFERENCES UTL_TB_PHRASE (PHR_ID);

ALTER TABLE EPR_TB_MESSAGE ADD CONSTRAINT EPR_FK_MSG_SUP FOREIGN KEY (MSG_SUP_ID) REFERENCES SUP_TB_SUPPLIER (SUP_ID);

ALTER TABLE EPR_TB_MESSAGE ADD CONSTRAINT EPR_FK_MSG_AGR FOREIGN KEY (MSG_AGR_ID) REFERENCES SUP_TB_AGREEMENT (AGR_ID);

ALTER TABLE EPR_TB_MESSAGE ADD CONSTRAINT EPR_FK_MSG_OBJ FOREIGN KEY (MSG_OBJ_ID) REFERENCES EPR_TB_OBJECT (OBJ_ID);

ALTER TABLE EPR_TB_MESSAGE ADD CONSTRAINT EPR_FK_MSG_MST FOREIGN KEY (MSG_MST_CD) REFERENCES EPR_TB_MESSAGETYPE (MST_CD);

ALTER TABLE EPR_TB_MESSAGE ADD CONSTRAINT EPR_FK_MSG_IDP FOREIGN KEY (MSG_IDP_ID) REFERENCES EPR_TB_INTERNALDEPT (IDP_ID);

ALTER TABLE EPR_TB_MESSAGE ADD CONSTRAINT EPR_FK_MSG_BIN FOREIGN KEY (MSG_BIN_ID) REFERENCES EPR_TB_BINARY (BIN_ID);
