CREATE TABLE EPR_TB_MESSAGETYPE
(
  MST_CD           VARCHAR(50),
  MST_CRE_DT       TIMESTAMP                         NOT NULL,
  MST_CRE_ID       VARCHAR(50)            NOT NULL,
  MST_MOD_DT       TIMESTAMP                         NOT NULL,
  MST_MOD_ID       VARCHAR(50)            NOT NULL,
  MST_PHR_ID       INTEGER                   NOT NULL,
  MST_OBT_CD       VARCHAR(3)             NOT NULL,
  MST_STS_CD       VARCHAR(50)            NOT NULL,
  MST_ORD_NO       INTEGER,
  MST_CODELIST_ID  VARCHAR(12)
);

CREATE UNIQUE INDEX EPR_IX_MESSAGETYPE ON EPR_TB_MESSAGETYPE(MST_CD);

ALTER TABLE EPR_TB_MESSAGETYPE ADD CONSTRAINT EPR_PK_MST PRIMARY KEY (MST_CD);

ALTER TABLE EPR_TB_MESSAGETYPE ADD CONSTRAINT UTL_FK_MST_PHR FOREIGN KEY (MST_PHR_ID) REFERENCES UTL_TB_PHRASE (PHR_ID);

ALTER TABLE EPR_TB_MESSAGETYPE ADD CONSTRAINT EPR_FK_MST_STS FOREIGN KEY (MST_STS_CD) REFERENCES REF_TB_STATE (STS_CD);

ALTER TABLE EPR_TB_MESSAGETYPE ADD CONSTRAINT EPR_FK_MST_OBT FOREIGN KEY (MST_OBT_CD) REFERENCES EPR_TB_OBJECTTYPE (OBT_CD);