CREATE TABLE EPR_TB_MSG_REPOSITORY
(
  REP_ID                INTEGER,
  REP_CRE_DT            TIMESTAMP                    NOT NULL,
  REP_CRE_ID            VARCHAR(50)       NOT NULL,
  REP_MOD_DT            TIMESTAMP                    NOT NULL,
  REP_MOD_ID            VARCHAR(50)       NOT NULL,
  REP_RECEIPT_DT        TIMESTAMP,
  REP_RAWCONTENT        LONGVARBINARY                    NOT NULL,
  REP_CANONICALCONTENT  LONGVARBINARY,
  REP_PROCESSED         VARCHAR(1)        DEFAULT 'N'                   NOT NULL,
  REP_AGR_ID            INTEGER,
  REP_IDP_ID            INTEGER,
  REP_BIN_ID            INTEGER,
  REP_DIRECTION         VARCHAR(30)
);

CREATE UNIQUE INDEX EPR_TB_REPOSITORY_PK ON EPR_TB_MSG_REPOSITORY(REP_ID);

ALTER TABLE EPR_TB_MSG_REPOSITORY ADD CONSTRAINT EPR_TB_REPOSITORY_PK PRIMARY KEY (REP_ID);

ALTER TABLE EPR_TB_MSG_REPOSITORY ADD CONSTRAINT EPR_FK_REP_BIN FOREIGN KEY (REP_BIN_ID) REFERENCES EPR_TB_BINARY (BIN_ID);

ALTER TABLE EPR_TB_MSG_REPOSITORY ADD CONSTRAINT EPR_FK_REP_AGR FOREIGN KEY (REP_AGR_ID) REFERENCES SUP_TB_AGREEMENT (AGR_ID);

ALTER TABLE EPR_TB_MSG_REPOSITORY ADD CONSTRAINT EPR_FK_REP_IDP FOREIGN KEY (REP_IDP_ID) REFERENCES EPR_TB_INTERNALDEPT (IDP_ID);