CREATE TABLE REF_TB_RESPONSECODE
(
  RSC_CD           VARCHAR(50),
  RSC_CRE_DT       TIMESTAMP                         NOT NULL,
  RSC_CRE_ID       VARCHAR(50)            NOT NULL,
  RSC_MOD_DT       TIMESTAMP                         NOT NULL,
  RSC_MOD_ID       VARCHAR(50)            NOT NULL,
  RSC_PHR_ID       INTEGER                   NOT NULL,
  RSC_CODELIST_ID  VARCHAR(12)            NOT NULL,
  RSC_OBT_CD       VARCHAR(50)
);

CREATE UNIQUE INDEX REF_UK_RSC_CODELIST_ID ON REF_TB_RESPONSECODE(RSC_CODELIST_ID);
CREATE UNIQUE INDEX REF_IX_RESPONSECODE ON REF_TB_RESPONSECODE(RSC_CD);

ALTER TABLE REF_TB_RESPONSECODE ADD CONSTRAINT REF_PK_RSC PRIMARY KEY (RSC_CD);

ALTER TABLE REF_TB_RESPONSECODE ADD CONSTRAINT REF_UK_RSC_CODELIST_ID UNIQUE (RSC_CODELIST_ID);

ALTER TABLE REF_TB_RESPONSECODE ADD CONSTRAINT REF_FK_RSC_PHR FOREIGN KEY (RSC_PHR_ID) REFERENCES UTL_TB_PHRASE (PHR_ID);

ALTER TABLE REF_TB_RESPONSECODE ADD CONSTRAINT REF_FK_RSC_OBT FOREIGN KEY (RSC_OBT_CD) REFERENCES EPR_TB_OBJECTTYPE (OBT_CD);