CREATE TABLE REF_TB_STATE
(
  STS_CD           VARCHAR(50),
  STS_CRE_DT       TIMESTAMP                         NOT NULL,
  STS_CRE_ID       VARCHAR(50)            NOT NULL,
  STS_MOD_DT       TIMESTAMP                         NOT NULL,
  STS_MOD_ID       VARCHAR(50)            NOT NULL,
  STS_PHR_ID       INTEGER,
  STS_CODELIST_ID  VARCHAR(12)
);

CREATE UNIQUE INDEX REF_UK_STS_CODELIST_ID ON REF_TB_STATE(STS_CODELIST_ID);
CREATE UNIQUE INDEX REF_IX_STATE ON REF_TB_STATE(STS_CD);

ALTER TABLE REF_TB_STATE ADD CONSTRAINT REF_PK_STS PRIMARY KEY(STS_CD);

ALTER TABLE REF_TB_STATE ADD CONSTRAINT REF_UK_STS_CODELIST_ID UNIQUE (STS_CODELIST_ID);
ALTER TABLE REF_TB_STATE ADD CONSTRAINT REF_FK_STS_PHR FOREIGN KEY(STS_PHR_ID) REFERENCES UTL_TB_PHRASE(PHR_ID);